<div class="tabber" id="tab3" style="display: none;">

	<div class="titleBar titleBar2">
		
		<div class="pageTitle" >
			<h2>Landing Page Design & Copy Settings</h2>
			<p>Here you can manage the style of your landing page and the landing page copy...</p>
		</div>

		<i class="icon-magic icon-3x pageIcon"></i>
		
		<br clear="all" />
	</div>

	<div class="pageNav">

		<div class="pageItem pageItem_design pageSelected" tab="design_subtab1" >
			<i class="icon-cogs icon-large pageItemIcon"></i>
			<div class="pageItemTitle">Styles</div>
			<br clear="left" />
		</div>

		<div class="pageItem pageItem_design" tab="design_subtab2" >
			<i class="icon-bolt icon-large pageItemIcon"></i>
			<div class="pageItemTitle">Logo</div>
			<br clear="left" />
		</div>

		<div class="pageItem pageItem_design" tab="design_subtab3" >
			<i class="icon-bullhorn icon-large pageItemIcon"></i>
			<div class="pageItemTitle">Headline</div>
			<br clear="left" />
		</div>

		<div class="pageItem pageItem_design" tab="design_subtab4" >
			<i class="icon-certificate icon-large pageItemIcon"></i>
			<div class="pageItemTitle">Hero CTA</div>
			<br clear="left" />
		</div>

		<div class="pageItem pageItem_design" tab="design_subtab5" >
			<i class="icon-envelope-alt icon-large pageItemIcon"></i>
			<div class="pageItemTitle">Optin</div>
			<br clear="left" />
		</div>

		<div class="pageItem pageItem_design" tab="design_subtab6" >
			<i class="icon-ok-sign icon-large pageItemIcon"></i>
			<div class="pageItemTitle">Spam</div>
			<br clear="left" />
		</div>

		<br clear="left" >

	</div>

	<div id="design_subtab1" class="design_subtab" style="margin-top: 15px;" >
		<?php

		display_helpbar(
			"Edit Styles:",
			"Setup your page style settings...",
			"http://listeruption.com/DOCS/landingpage1.pdf"
		);

		// BACKGROUND STYLES

		display_option_img( 
			$_GET['id'],
			$results->bg,
			"Choose Background Style", 
			"bg",
			"Select a style of background you want to use, either pre-made or a custom style...",
			"$sitePath"."/images/bg4.png [color],
			 $sitePath"."/images/bgx1.png [d4u_sun],
			 $sitePath"."/images/bgx4.png [d4u_clouds],
			 $sitePath"."/images/bgx2.png [d4u_sunset],
			 $sitePath"."/images/bgx3.png [d4u_city],
			 $sitePath"."/images/bg5.png [custom]"
		);

		?>

		<div id="bgGrain" style="display:none;" >
			<?php

			display_color( 
				$_GET['id'],
				$results->bgcolor,
				"Background Color", 
				"bgcolor",
				"Choose a color you want for the background, a subtle grain effect will be applied...",
				""
			);

			?>
		</div>

		<div id="bgCustom" style="display:none;" >

			<?php

			display_field_image( 
				$_GET['id'],
				$results->bgurl,
				"Custom Background Image URL", 
				"bgurl",
				"This is the URL to an image you want to be shown as the background...",
				"Example: http://yoursite.com/custom-background.png"
			);

			display_option_img( 
				$_GET['id'],
				$results->bgrepeater,
				"Custom Background Repeating Option", 
				"bgrepeater",
				"You can choose to have the custom BG scretch to fit the entire screen or be repeating...",
				"$sitePath"."/images/rep1.png [fit],
				 $sitePath"."/images/rep2.png [repeat]"
			);

			?>

		</div>

		<?php

		display_option_img( 
			$_GET['id'],
			$results->layout,
			"Optin Box Layout", 
			"layout",
			"You can either choose from a skinny optin layout or a wide (two column) layout...",
			"$sitePath"."/images/layout1.png [skinny],
			 $sitePath"."/images/layout2.png [wide]"
		);

		display_option_img( 
			$_GET['id'],
			$results->position,
			"Optin Box Position", 
			"position",
			"This is the position of where the optin box is on the page, the default is the middle of the page...",
			"$sitePath"."/images/pos1.png [center],
			 $sitePath"."/images/pos2.png [left],
			 $sitePath"."/images/pos3.png [right]"
		);

		display_option_img( 
			$_GET['id'],
			$results->shadow,
			"Optin Box Shadow", 
			"shadow",
			"This is the shadow of the optin box, default is no shadow...",
			"$sitePath"."/images/shadow1.png [1],
			 $sitePath"."/images/shadow2.png [2],
			 $sitePath"."/images/shadow3.png [3],
			 $sitePath"."/images/shadow4.png [4]"
		);

		display_option_img( 
			$_GET['id'],
			$results->optinbgstyle,
			"Optin Box Color & Style", 
			"optinbgstyle",
			"This is the color of the optin box which can be white or black with varying opacity levels...",
			"$sitePath"."/images/bgs1.png [1],
			 $sitePath"."/images/bgs2.png [2],
			 $sitePath"."/images/bgs3.png [3],
			 $sitePath"."/images/bgs4.png [4],
			 $sitePath"."/images/bgs5.png [5],
			 $sitePath"."/images/bgs6.png [6],
			 $sitePath"."/images/bgs7.png [7]"
		);

		?>

	</div>

	<div id="design_subtab2" class="design_subtab" style="display:none; margin-top: 15px;" >
		<?php

		display_helpbar(
			"Edit Logo Settings:",
			"Setup your page logo...",
			"http://listeruption.com/DOCS/landingpage2.pdf"
		);

		// LOGO SETTINGS

		display_switch( 
			$_GET['id'],
			$results->logoswitch,
			"Logo Options:", 
			"logoswitch",
			"You can choose to show the logo or hide the top logo...",
			"off",
			"logoEdit"
		);

		?>

		<div id="logoEdit">
		<?php

		// LOGO EDIT

		display_field_image( 
			$_GET['id'],
			$results->logourl,
			"Logo Image URL", 
			"logourl",
			"This is the URL of the logo you want to use, best results are transparent png files, and 405px wide...",
			"Example: http://yoursite.com/my-logo.png"
		);

		?>
		</div>

	</div>

	<div id="design_subtab3" class="design_subtab" style="display:none; margin-top: 15px;" >
		<?php

		display_helpbar(
			"Edit Headline Settings:",
			"Setup your main & thank you headlines...",
			"http://listeruption.com/DOCS/landingpage3.pdf"
		);

		// Headline Area Editing

		display_option_img( 
			$_GET['id'],
			$results->headerstyle,
			"Style Of Headline Background Area", 
			"headerstyle",
			"You can choose the style of the top headline background area, just a simple color or your own custom image",
			"$sitePath"."/images/bgg1.png [none],
			 $sitePath"."/images/bg4.png [color],
			 $sitePath"."/images/bg5.png [custom]"
		);

		?>

		<div id="headerColorCustom" style="display:none;" >
		<?php
		// Custom Header Color
		display_color( 
			$_GET['id'],
			$results->headercolor,
			"Color Of The Headline Background Area", 
			"headercolor",
			"This is the color of the background of the top headline area...",
			"Example: #000000"
		);
		?>
		</div>

		<div id="headerCustom" style="display:none;">
		<?php
		// Custom Header Image:
		display_field_image( 
			$_GET['id'],
			$results->headerurl,
			"Header Image URL", 
			"headerurl",
			"The image url of your custom header background image - will be repeated as the background...",
			"Example: http://yoursite.com/header-image.png"
		);
		?>
		</div>

		<?php

		display_wpeditor( 
			$_GET['id'],
			$results->headlinecopy,
			"Main Headline Copy", 
			"headlinecopy",
			"The copy that will display at the top of the optin area..."
		);

		?>

		<?php
		display_color( 
			$_GET['id'],
			$results->headlinecolor,
			"Main Headline Copy Color", 
			"headlinecolor",
			"Color for your main headline copy color...",
			"Example: #000000"
		);

		if( $data->camtype == "viral" ){

		display_wpeditor( 
			$_GET['id'],
			$results->headlinecopy2,
			"Thank You Headline", 
			"headlinecopy2",
			"This is the copy that is shown on the thank you page, it inherits the same colors as the main headline..."
		);

		}


		?>

	</div>

	<div id="design_subtab4" class="design_subtab" style="display:none; margin-top: 15px;" >
		<?php

		display_helpbar(
			"Edit CTA:",
			"Setup the main hero cta for your page...",
			"http://listeruption.com/DOCS/landingpage4.pdf"
		);

		// CTA Editing Area

		display_option_img( 
			$_GET['id'],
			$results->ctatype,
			"Call To Action Type", 
			"ctatype",
			"You can choose between showing a video (default), image, or some copy...",
			"$sitePath"."/images/cta1.png [video],
			 $sitePath"."/images/cta2.png [image],
			 $sitePath"."/images/cta3.png [copy]"
		);

		?>

		<div id="ctaVideo" style="display:none;" >
			<?php
			display_textarea( 
				$_GET['id'],
				$results->ctavideo,
				"CTA Video Embed Code", 
				"ctavideo",
				"This is the video code that you want to be shown on top of the optin form... <i>* will be resized to 505x290</i>",
				"Example: Youtube Embed Code, Easy Video Player Embed Code, etc"
			);
			?>
		</div>

		<div id="ctaImage" style="display:none;" >
			<?php
			display_field_image( 
				$_GET['id'],
				$results->ctaimage,
				"CTA Image URL", 
				"ctaimage",
				"This is the url for the image that is shown on top of the optin area, best results 505px wide...",
				"Example: http://yoursite.com/cta-image.png"
			);
			?>
		</div>

		<div id="ctaCopy" style="display:none;" >
			<?php
			display_wpeditor( 
				$_GET['id'],
				$results->ctacopy,
				"CTA Copy", 
				"ctacopy",
				"This is the copy that is shown on top of the optin area..."
			);
			?>
		</div>

	</div>

	<div id="design_subtab5" class="design_subtab" style="display:none; margin-top: 15px;" >
		<?php 

		display_helpbar(
			"Edit Optin Settings:",
			"Setup your optin form styles...",
			"http://listeruption.com/DOCS/landingpage5.pdf"
		);

		display_wpeditor( 
			$_GET['id'],
			$results->optincopy,
			"Main Optin Copy", 
			"optincopy",
			"This is the copy that appears above the optin form area..."
		);
		?>

		<?php
		display_color( 
			$_GET['id'],
			$results->optincopycolor,
			"Main Optin Copy Color", 
			"optincopycolor",
			"Color for your main optin copy color...",
			"Example: #FFFFFF"
		);
		?>

		<div id="optinForms">

			

				<?php
				display_switch( 
					$_GET['id'],
					$results->form_name,
					"Optional Optin Field :: Full Name", 
					"form_name",
					"You can either hide or show the full name field on the optin form...",
					"on",
					""
				);
		
				display_switch( 
					$_GET['id'],
					$results->form_phone,
					"Optional Optin Field :: Phone Number", 
					"form_phone",
					"You can either hide or show the phone number field on the optin form...",
					"off",
					""
				);
	
				display_switch( 
					$_GET['id'],
					$results->form_city,
					"Optional Optin Field :: City", 
					"form_city",
					"You can either hide or show the city field on the optin form...",
					"off",
					""
				);

				display_switch( 
					$_GET['id'],
					$results->form_state,
					"Optional Optin Field :: State", 
					"form_state",
					"You can either hide or show the state field on the optin form...",
					"off",
					""
				);

				display_switch( 
					$_GET['id'],
					$results->form_address,
					"Optional Optin Field :: Address", 
					"form_address",
					"You can either hide or show the address field on the optin form...",
					"off",
					""
				);

				?>

		</div>


		<?php 
		display_option_img( 
			$_GET['id'],
			$results->form_style,
			"Optin Form Style", 
			"form_style",
			"You can choose the style of the input field to match your style of the landing page...",
			"$sitePath"."/images/form1.png [1],
			 $sitePath"."/images/form2.png [2],
			 $sitePath"."/images/form3.png [3],
			 $sitePath"."/images/form4.png [4],
			 $sitePath"."/images/form5.png [5]"
		);

		display_option_img( 
			$_GET['id'],
			$results->form_icon,
			"Optin Form Icon Style", 
			"form_icon",
			"This is the icons on the optin form, you can choose between a few styles or none...",
			"$sitePath"."/images/ficon1.png [1],
			 $sitePath"."/images/ficon2.png [2],
			 $sitePath"."/images/ficon3.png [3],
			 $sitePath"."/images/ficon4.png [4]"
		);

		display_option_img( 
			$_GET['id'],
			$results->form_btnstyle,
			"Optin Button Style", 
			"form_btnstyle",
			"Choose the style of your optin button to best match your branding...",
			"$sitePath"."/images/fs1.png [cleanX],
			 $sitePath"."/images/fs2.png [flatX],
			 $sitePath"."/images/fs3.png [standoutX],
			 $sitePath"."/images/bg5.png [custom]"
		);
		?>

		<div id="optinCopy">
			<?php 

			display_option_img( 
				$_GET['id'],
				$results->form_btncolor,
				"Optin Button Color", 
				"form_btncolor",
				"This is the color of the optin button...",
				"$sitePath"."/images/c1.png [btnGreen],
				 $sitePath"."/images/c2.png [btnBlue],
				 $sitePath"."/images/c3.png [btnRed],
				 $sitePath"."/images/c4.png [btnOrange],
				 $sitePath"."/images/c5.png [btnBlack],
				 $sitePath"."/images/bg4.png [colorX]"
			);
			?>

			<div id="btnColor" style="display:none;" >
				<?php
				display_color( 
					$_GET['id'],
					$results->form_btncolorcustom,
					"Custom Optin Button Color", 
					"form_btncolorcustom",
					"Choose a custom color for your button to match your branding...",
					"Example: #000"
				);
				?>
			</div>

			<?php
			display_field( 
				$_GET['id'],
				$results->btncopy,
				"Optin Button Copy", 
				"btncopy",
				"This is what is shown on the optin button...",
				"Example: Download Your Copy Now"
			);
			?>

		</div>

		<div id="optinCustom" style="display:none;" >
			<?php 
			display_field_image( 
				$_GET['id'],
				$results->btnurl,
				"Custom Optin Button URL", 
				"btnurl",
				"This is the URL of the custom button you want to be used as your optin button, size: 405px wide for best results...",
				"Example: http://yoursite.com/optin-button.png"
			);
			?>
		</div>


	</div>

	<div id="design_subtab6" class="design_subtab" style="display:none; margin-top: 15px;" >
		<?php

		display_helpbar(
			"Edit Spam / Footer Copy:",
			"Setup your spam notice...",
			"http://listeruption.com/DOCS/landingpage6.pdf"
		);

		display_wpeditor( 
			$_GET['id'],
			$results->footer2,
			"Optin Lower Spam / Footer Copy", 
			"footer2",
			"This is the copy that is shown at the bottom of the optin area, great area for spam notice..."
		);
		?>

		<?php
		display_color( 
			$_GET['id'],
			$results->footercopycolor,
			"Spam / Footer Copy Color", 
			"footercopycolor",
			"Color for your spam / footer copy color...",
			"Example: #FFFFFF"
		);
		?>
	</div>

	<div class="footerBtn">

			<div class="appTopRight appTopRight2" >
				<span class=" btn btn-s saveIt " ><a href="#"><i class="icon-save" style="margin-right: 5px;" ></i> <span class="saveIt_text">save</span></a></span>
			</div>

			<br clear="all" >

	</div>

</div>