<div class="tabber" id="tab4" style="display: none;">

	<div class="titleBar titleBar2">
		
		<div class="pageTitle " >
			<h2>3rd Party API Integrations Settings</h2>
			<p>Here you can manage your auto-responder integration & PostMarkApp integration...</p>
		</div>

		<i class="icon-cogs icon-3x pageIcon"></i>
		
		<br clear="all" />
	</div>

	<div class="pageNav">

		<div class="pageItem pageItem_api pageSelected" tab="api_subtab1" >
			<i class="icon-envelope icon-large pageItemIcon"></i>
			<div class="pageItemTitle">Auto-Responder</div>
			<br clear="left" />
		</div>

		<div class="pageItem pageItem_api" tab="api_subtab2" >
			<i class="icon-asterisk icon-large pageItemIcon"></i>
			<div class="pageItemTitle">GotoWebinar</div>
			<br clear="left" />
		</div>

		<?php
		if( $data->camtype == "viral" ){
		?>

		<div class="pageItem pageItem_api" tab="api_subtab3" >
			<i class="icon-envelope-alt icon-large pageItemIcon"></i>
			<div class="pageItemTitle">PostMarkApp</div>
			<br clear="left" />
		</div>

		<?php
		}
		?>

		<div class="pageItem pageItem_api" tab="api_subtab4" >
			<i class="icon-tint icon-large pageItemIcon"></i>
			<div class="pageItemTitle">Extras</div>
			<br clear="left" />
		</div>

		<br clear="left" >

	</div>

	<div id="api_subtab1" class="api_subtab" style="margin-top: 15px;" >
		<?php

		display_helpbar(
			"AR Integration:",
			"Setup your AR with this campaign...",
			"http://listeruption.com/DOCS/integration1.pdf"
		);


		display_textarea( 
		$_GET['id'],
		$results->ar_code,
		"Raw HTML Version Of Your Optin Code:", 
		"ar_code",
		"This should be the raw html version of the optin code your AR service provides you...",
		"The RAW html form code given to you by your AR service..."
		);

		display_field( 
			$_GET['id'],
			$results->ar_url, 
			"AR Post URL", 
			"ar_url",
			"This is the POST URL for the AR code ( should be filled in for you )...",
			"Example: http://yourarservice.com/post?query * advance users"
		);

		display_field( 
			$_GET['id'],
			$results->ar_name, 
			"AR Name Field", 
			"ar_name",
			"This is the NAME for the full name field ( should be filled in for you )...",
			"Example: name"
		);

		display_field( 
			$_GET['id'],
			$results->ar_email, 
			"AR Email Field", 
			"ar_email",
			"This is the NAME for the email address field ( should be filled in for you )...",
			"Example: email"
		);

		display_field( 
			$_GET['id'],
			$results->ar_hidden, 
			"AR Hidden Fields", 
			"ar_hidden",
			"This is the hidden fields for your AR form ( should be filled in for you )...",
			"Example: <input type='hidden' name='extratracking' /> * advance users"
		);
		?>
	</div>

	<div id="api_subtab2" class="api_subtab" style="display:none; margin-top: 15px; " >
		<?php  

		display_helpbar(
			"GotoWebinar Integration:",
			"Setup your GTW key...",
			"http://listeruption.com/DOCS/integration2.pdf"
		);

		display_field( 
			$_GET['id'],
			$results->gotokey,
			"GotoWebinar ID", 
			"gotokey",
			"This is the ID for your webinar, you should see it at the end of your gotowebinar URL, ie: <B>https://www1.gotomeeting.com/register/<u>00000</u></B>",
			"Example: 0000000"
		);
		?>
	</div>

	<div id="api_subtab3" class="api_subtab" style="display:none; margin-top: 15px; " >
		<?php 

		display_helpbar(
			"Email Reward:",
			"Setup your auto reward unlock email...",
			"http://listeruption.com/DOCS/integration3.pdf"
		);

		display_field( 
			$_GET['id'],
			$results->postmarkapi,
			"Post Mark API", 
			"postmarkapi",
			"This is given to you by from your PostMarkApp account",
			"Example: 389ajs-dahjk-IY&-SY78"
		);

		?>
		
		<p style="margin-left: 20px; margin-bottom: 20px;" ><b>Don't have a PostMark account? <a href="http://postmarkapp.com/" target="_blank">Get One Here</a></b></p>
		
		<?php
		display_field( 
			$_GET['id'],
			$results->pm_from,
			"From Email Address", 
			"pm_from",
			"Who the email is from when they unlock a new reward...",
			"Example: youremail@gmail.com"
		);
		display_field( 
			$_GET['id'],
			$results->pm_name,
			"From Name", 
			"pm_name",
			"This is who the email is from, ie your name, or company name...",
			"Example: AwesomeCompany"
		);
		display_field( 
			$_GET['id'],
			$results->pm_subject,
			"Email Subject Line", 
			"pm_subject",
			"This is the email subject line for when they unlock a new reward...",
			"Example: Awesome! You just unlocked a new gift from AwesomeCompany"
		);
		display_textarea( 
			$_GET['id'],
			$results->pm_email,
			"Reward Unlocked Email", 
			"pm_email",
			"This is the email they get when they have unlocked a new reward, 
			the tag <B>{{URL}}</B> can be used in place where you want the url back to 
			the site to go, and <b>{{REWARD}}</b> for the reward title of the reward they just unlocked... <b>note:</b> the email is only sent out when 
			they unlock a reward from referrals, not while viewing the page...",
			"Example: You just unlocked a new reward from AwesomeCompany, go check it out now: {{URL}} and see how you can unlock even more awesome stuff!"
		);
		display_wpeditor( 
			$_GET['id'],
			$results->pm_html,
			"Reward Unlocked Email HTML", 
			"pm_html",
			"This is the email that is sent out, same as above, but this is the HTML version, <br>you must have BOTH a text and HTML version... same tags are used above..."
		);
		?>
	</div>

	<div id="api_subtab4" class="api_subtab" style="display:none; margin-top: 15px; " >
		<?php 
		display_textarea( 
			$_GET['id'],
			$results->css,
			"Custom CSS", 
			"css",
			"Enter in your custom CSS here...",
			"For adv. users to chance any style on the landing page & share page..."
		);
		display_textarea( 
			$_GET['id'],
			$results->js,
			"Custom JS Tracking Tools", 
			"js",
			"Here you can add custom tracking tools like Google Analytics, etc",
			"For adv. users, this is shown at the top of the page in the <head> section..."
		);
		?>
	</div>

	<div class="footerBtn">

			<div class="appTopRight appTopRight2" >
				<span class=" btn btn-s saveIt " ><a href="#"><i class="icon-save" style="margin-right: 5px;" ></i> <span class="saveIt_text">save</span></a></span>
			</div>

			<br clear="all" >

	</div>

</div>