

<script type="text/javascript">

jQuery(document).ready(function($) {

	// IE BROWSER CHECK

	$BROWSER = $("#iecheck").attr("browser-check");

	if( $BROWSER == "ie6" || $BROWSER == "ie7" || $BROWSER == "ie8" ){
		// THEY ARE USING IE6 OR IE7
		$("#IE-NO").show();
	} else if( $BROWSER == "ie9" || $BROWSER == "ie10"  ){
		// THEY ARE USING IE8, IE9 OR IE10
		$("#IE-REC").show();
	}

	$('.helper').tooltip();

	// Create NEW App ::

	$('#createnewapp').click(function() {
		
		$appname = $("#appname").val();

		if($appname == ""){
			$("#notice_name").fadeIn("fast");
		} else {
			$("#notice_name").fadeOut("fast");

			var data = {
					action: '<?php echo $pluginName; ?>_create',
					appname: ""+$appname+"",
					camtype: $("#camType").val()
				};
				
				$.post( ajaxurl, data,
						   function(data) {
							window.location = "<?php echo site_url(); ?>/wp-admin/?page=<?php echo $pluginName; ?>-dashboard&id="+ data;
				});

		}
	
	  return false;
	});

	// Delete Lead

	$('.delete_lead').click(function() {

		var answer = confirm("Are you sure you want to delete this lead?")
		if (answer){

			$getLead = $(this).attr("lead_id");
					
			var data = {
				action: 'listeruption2_lead_delete',
				id: "<?php echo $_GET['id']; ?>",
				lead: $getLead
			};
											
			$.post( ajaxurl, data, function(results) {});

			$(this).closest("tr").fadeOut("fast");
		
		}
	
	  return false;
	});

	// Reset Stats

	$('#resetCampaign').click(function() {

		var answer = confirm("Are you sure you want to reset views for this campaign?")
		if (answer){
					
			var data = {
				action: 'listeruption2_reset_campaign',
				id: "<?php echo $_GET['id']; ?>"
			};
											
			$.post( ajaxurl, data, function(results) {
				location.reload();
			});
		
		}
	
	  return false;
	});

	// Select Random Winner

	$('#randomWinner').click(function() {
		
		 var $all = $(".leadTable").removeClass("winner");

		 var $winner = $( shuffle($all).slice( 0, 1 ) ).attr("id");

		 $("#"+$winner).addClass("winner");

		 $winnerName = $("#"+$winner+" .subName ").text();
		 $winnerEmail = $("#"+$winner+" .subEmail ").text();

		 alert("Random Winner is... Name: " + $winnerName +" Email: " + $winnerEmail);
	
	  return false;
	});


	function shuffle(array) {
	  var m = array.length, t, i;

	  // While there remain elements to shuffle…
	  while (m) {

	    // Pick a remaining element…
	    i = Math.floor(Math.random() * m--);

	    // And swap it with the current element.
	    t = array[m];
	    array[m] = array[i];
	    array[i] = t;
	  }

	  return array;
	}


	// Split AR Code
	
		$('#ar_code').keyup(function() {
				change_selects();
				// alert("?");
		  return false;
		});
		
		function change_selects(){
				var tags = ['a','iframe','frame','frameset','script'], reg, val = $('#ar_code').val(),
					hdn = $('#arcode_hdn_div2'), formurl = $('#ar_url'), hiddenfields = $('#ar_hidden');
			    formurl.val('');
				if(jQuery.trim(val) == '')
					return false;
				$('#arcode_hdn_div').html('');
				$('#arcode_hdn_div2').html('');
				for(var i=0;i<5;i++){
					reg = new RegExp('<'+tags[i]+'([^<>+]*[^\/])>.*?</'+tags[i]+'>', "gi");
					val = val.replace(reg,'');
					
					reg = new RegExp('<'+tags[i]+'([^<>+]*)>', "gi");
					val = val.replace(reg,'');
				}
				var tmpval;
				try {
					tmpval = decodeURIComponent(val);
				} catch(err){
					tmpval = val;
				}
				hdn.append(tmpval);
				var num = 0;
				var name_selected = '';
				var email_selected = '';
				$(':text',hdn).each(function(){
					var name = $(this).attr('name'),
						name_selected = num == '0' ? name : (num != '0' ? name_selected : ''), 
						email_selected = num == '1' ? name : email_selected;
						if(num=='0') jQuery('#ar_name').val(name_selected);
						if(num=='1') jQuery('#ar_email').val(email_selected);
				num++;
				});
				jQuery(':input[type=hidden]',hdn).each(function(){
					jQuery('#arcode_hdn_div').append(jQuery('<input type="hidden" name="'+jQuery(this).attr('name')+'" />').val(jQuery(this).val()));
				});		
				var hidden_f = jQuery('#arcode_hdn_div').html();
				formurl.val(jQuery('form',hdn).attr('action'));
				hiddenfields.val(hidden_f);
				//alert(tmpval);
				hdn.html('');
				
			};
			

			// Delete Campaign
	
			$('#deleteCampaign').click(function() {
			
				confirmation();
			
			  return false;
			});
			
			function confirmation() {
				var answer = confirm("Are You Sure You Want To Delete This Campaign?")
				if (answer){
					

					var data = {
						id: "<?php echo $_GET['id']; ?>"
					};
						
					var savelead = "<?php echo site_url() ?>/wp-content/plugins/<?php echo $pluginName; ?>/inc/delete_app.php";
					
					$.post( savelead, data,
					   function(results) {
							window.location = "<?php echo site_url(); ?>/wp-admin/admin.php?page=<?php echo $pluginName; ?>-dashboard";						     
					});
					
					
					
				}
				else{
					
				}
			}

    // Image Add Media Btns

    $photoURLSelected = "";
    $photoWPEditorCheck = "";
	
	$('.launch_media_lib').click(function() {
	
		$photoURLSelected = $(this).attr("photoBox"); 
		
		tb_show('Test', 'media-upload.php?type=image&TB_iframe=true'); 
	 
	  return false;
	});
	
	window.send_to_editor = function(html) {
        
        imgurl = $('img',html).attr('src');

        $getHTMLEditorClass = $("#"+$photoURLSelected+"").attr("class");

        if( $getHTMLEditorClass == "wp-editor-area" ){
        	console.log("WP Editor");
        	tinyMCE.execCommand('mceInsertContent',false, "<img src='"+imgurl+"' />");
        } else {
        	// Normal Input Field
        	$("#"+$photoURLSelected+"").val(imgurl);
        } 
	 	
	 tb_remove();
	}

	// Image Option Selector

	$('.dub_select_image').click(function() {
		// Get Data
		$ID = $(this).attr("dsID");
		$Data = $(this).attr("dsData");
		// Set Data
		$("#"+$ID+"").val($Data);
		// Set visible indicator
		$(".ds_"+$ID).removeClass("dub_select_image_selected");
		$(this).addClass("dub_select_image_selected");
	  return false;
	});

	// Save Parts ::

	$('.saveIt').click(function() {
		

		$(this).removeClass("btn-s");
		$(this).addClass("saved");
		$(".saveIt_text").text("saving..");

	    // Loop Through all WP Editors

	    $( ".wp-editor-wrap" ).each(function( index ) {

	    	$getID = $(this).attr("id"); // get ID wp-ID-wrap
		  	$getID = $getID.replace("wp-", ""); // replace pre-fix
		  	$getID = $getID.replace("-wrap", ""); // replace post-fix

		  	if ($("#wp-"+$getID+"-wrap").hasClass("tmce-active")){  // on Visual State
        	
	        	$getContent = tinyMCE.get($getID).getContent();
	        	$("#"+$getID).val($getContent);

		    } else { // on HTML state

		      	$getContent = $("#"+$getID).val();

		    }

		}).promise().done( function() { // on complete
        	
        	data = $('#editApp').serializeArray();

			$.post( ajaxurl, data,
			function(data) {

				$('.saveIt').removeClass("saved");
				$('.saveIt').addClass("btn-s");
				$(".saveIt_text").text("save");

			});

        });
		
		// setTimeout('wpfix()', 1000);
	
	  return false;
	});

	// Tabs For Editing App

	$('.editItem').click(function() {
		
		$tab = $(this).attr("tab");

		$(".editItem").removeClass("editSelected");
		$(this).addClass("editSelected");

		$(".tabber").hide();
		$("#"+$tab+"").show();
	
	  return false;
	});

	// Date Picker

	$('.dp-date').datepicker({
		format: 'mm-dd-yyyy',
		todayHighlight: true,
		autoclose: true,
		startDate: '<?php echo date("m-d-Y"); ?>'
	});

  	// Color Picker

  	$('.cp-picker').colorpicker().on('changeColor', function(ev){
	  
	  $color = ev.color.toHex();
	  $(this).css("background-color", $color);
	  $(this).val($color);

	  // Convert HEX so inner text is visible (black or white)

	  	var bg  = $color.replace("#", "");
	    var rgb = bg.match(/../g);
	    for(var i = 0; i < 3; ++i)
	        rgb[i] = parseInt(rgb[i], 16);
	    var hsv = rgbToHsv(rgb[0], rgb[1], rgb[2]);
	    var fg  = 'ffffff';
	    if(hsv[2] > 0.8)
	        fg = '000000';
	    $(this).css({
	        color: '#' + fg
	    });
	
	});


	// Color Picker On Load - HEX Convert

	$(".cp-picker").each(function( index ) {
	  
	  	$color = $(this).val();

	  	if( $color == "" ){ 
	  		// do nothing
	  	} else {

		  	var bg  = $color.replace("#", "");
		    var rgb = bg.match(/../g);
		    for(var i = 0; i < 3; ++i)
		        rgb[i] = parseInt(rgb[i], 16);
		    var hsv = rgbToHsv(rgb[0], rgb[1], rgb[2]);
		    var fg  = 'ffffff';
		    if(hsv[2] > 0.8)
		        fg = '000000';
		    $(this).css({
		        color: '#' + fg
		    });

		}	

	});

	// Pagination Of Leads Table:

	$('#leads').dataTable( {
		"aLengthMenu": [[5, 10, 25, 50, -1], [5, 10, 25, 50, "All"]],
		'iDisplayLength': 5
	} );

	// Tabs For Inner pages :: Design Settings

	$('.pageItem_design').click(function() {
		
		$getTab = $(this).attr("tab");

		$(".pageItem_design").removeClass("pageSelected");
		$(this).addClass("pageSelected");

		$(".design_subtab").hide();
		$("#"+ $getTab ).show();
	
	  return false;
	});

	// Tabs For Inner pages :: Reward Settings

	$('.pageItem_reward').click(function() {
		
		$getTab = $(this).attr("tab");

		$(".pageItem_reward").removeClass("pageSelected");
		$(this).addClass("pageSelected");

		$(".reward_subtab").hide();
		$("#"+ $getTab ).show();
	
	  return false;
	});

	$('.pageItem_api').click(function() {
		
		$getTab = $(this).attr("tab");

		$(".pageItem_api").removeClass("pageSelected");
		$(this).addClass("pageSelected");

		$(".api_subtab").hide();
		$("#"+ $getTab ).show();
	
	  return false;
	});

	$('.pageItem_copy').click(function() {
		
		$getTab = $(this).attr("tab");

		$(".pageItem_copy").removeClass("pageSelected");
		$(this).addClass("pageSelected");

		$(".copy_subtab").hide();
		$("#"+ $getTab ).show();
	
	  return false;
	});

	// Help Toggle :: 

	$('.inputHelpIcon').click(function() {
		
		$getHelp = $(this).attr("help");

		$(this).toggleClass("inputHelpIcon_selected");
		$("#"+ $getHelp).toggle();
	
	  return false;
	});

	// Switches

	var toggleHandler = function(toggle) {
		
	    var toggle = toggle;
	    var radio = $(toggle).find("input");

	    var checkToggleState = function() {
	        if (radio.eq(0).is(":checked")) {
	            $(toggle).removeClass("toggle-off");
	        } else {
	            $(toggle).addClass("toggle-off");
	        }
	    };

	    checkToggleState();

	    radio.eq(0).click(function() {
	        
	        $(toggle).toggleClass("toggle-off");
	        $getToggleDiv = $(toggle).attr("toggleDiv");
       		$("#"+ $getToggleDiv).toggle();
       		$ID = $(toggle).attr("inputid");
       		$("#"+ $ID).val("on");
       		//alert($("#"+ $ID).val());

	    });

	    radio.eq(1).click(function() {
	        
	        $(toggle).toggleClass("toggle-off");
	        $getToggleDiv = $(toggle).attr("toggleDiv");
       		$("#"+ $getToggleDiv).toggle();
       		$ID = $(toggle).attr("inputid");
       		$("#"+ $ID).val("off");
       		//alert($("#"+ $ID).val());
	    });
	};

	$(".toggle").each(function(index, toggle) {
    
        toggleHandler(toggle); // run animation
    
    });

	// Toggles For UI Editing

	// --- BG CUSTOM TOGGLE:
	$getToggle = $("#bg").val();
	if( $getToggle == "color" || $getToggle == "" ) { $("#bgGrain").show(); $("#bgCustom").hide(); }

	// --- BG CUSTOM TOGGLE:
	$getToggle = $("#bg").val();
	if( $getToggle == "custom" ) { $("#bgCustom").show(); $("#bgGrain").hide(); }

	// Toggle LOGO
	$getToggle = $("#logoswitch").val();
	if( $getToggle == "off" ) { $("#logoEdit").hide(); }

	// --- BG COLOR TOGGLE:
	$getToggle = $("#bg").val();
	if( $getToggle == "color" ) { $("#bgGrain").show(); }

	// --- HEADER IMAGE TOGGLE:
	$getToggle = $("#headerstyle").val();
	if( $getToggle == "custom" ) { $("#headerCustom").show(); $("#headerColorCustom").hide(); }

	// --- HEADER COLOR TOGGLE:
	$getToggle = $("#headerstyle").val();
	if( $getToggle == "color" ) { $("#headerColorCustom").show(); $("#headerCustom").hide(); }

	$getToggle = $("#headerstyle").val();
	if( $getToggle == "none" ) { $("#headerColorCustom").hide(); $("#headerCustom").hide(); }

	// --- CTA VIDEO
	$getToggle = $("#ctatype").val();
	if( $getToggle == "" || $getToggle == "video" ) { $("#ctaVideo").show(); }
	// --- CTA IMAGE
	$getToggle = $("#ctatype").val();
	if( $getToggle == "image" ) { $("#ctaImage").show(); }
	// --- CTA COPY
	$getToggle = $("#ctatype").val();
	if( $getToggle == "copy" ) { $("#ctaCopy").show(); }
	// --- OPTIN BUTTON
	$getToggle = $("#form_btnstyle").val();
	if( $getToggle == "custom" ) { $("#optinCustom").show(); $("#optinCopy").hide(); }
	// --- DOWNLOAD BUTTON
	$getToggle = $("#dlbtn").val();
	if( $getToggle == "custom" ) { $("#dlbtnCustom").show(); $("#dlbtnCopy").hide(); }
	// --- SHARE VIDEO
	$getToggle = $("#sharevideo").val();
	if( $getToggle == "custom" ) { $("#shareCustom").show(); }
	// --- FB BADGE
	$getToggle = $("#fbbadge").val();
	if( $getToggle == "custom" ) { $("#fbBadge").show(); }
	// --- TWITTER BADGE
	$getToggle = $("#twitterbadge").val();
	if( $getToggle == "custom" ) { $("#twitterBadge").show(); }
	// --- EMAIL BADGE
	$getToggle = $("#emailbadge").val();
	if( $getToggle == "custom" ) { $("#emailBadge").show(); }
	// --- R1 BADGE
	$getToggle = $("#rewardbadge1").val();
	if( $getToggle == "custom" ) { $("#rewardBadge1").show(); }	
	$getToggle = $("#rewardbadge2").val();
	if( $getToggle == "custom" ) { $("#rewardBadge2").show(); }	
	$getToggle = $("#rewardbadge3").val();
	if( $getToggle == "custom" ) { $("#rewardBadge3").show(); }	
	$getToggle = $("#rewardbadge4").val();
	if( $getToggle == "custom" ) { $("#rewardBadge4").show(); }	
	$getToggle = $("#rewardbadge5").val();
	if( $getToggle == "custom" ) { $("#rewardBadge5").show(); }	
	$getToggle = $("#rewardbadge6").val();
	if( $getToggle == "custom" ) { $("#rewardBadge6").show(); }	
	// BTN Colors
	$getToggle = $("#form_btncolor").val();
	if( $getToggle == "colorX" ) { $("#btnColor").show(); }	
	// Toggle EXTRA FB
	$getToggle = $("#extra_fb").val();
	if( $getToggle == "on" ) { $("#extraFB").show(); }
	// Toggle EXTRA TW
	$getToggle = $("#extra_twitter").val();
	if( $getToggle == "on" ) { $("#extraTwitter").show(); }
	// Toggle EXTRA EMAIL
	$getToggle = $("#extra_email").val();
	if( $getToggle == "on" ) { $("#extraEmail").show(); }
	// Toggle REWARD1
	$getToggle = $("#reward1").val();
	if( $getToggle == "on" ) { $("#rewardArea1").show(); }
	$getToggle = $("#reward2").val();
	if( $getToggle == "on" ) { $("#rewardArea2").show(); }
	$getToggle = $("#reward3").val();
	if( $getToggle == "on" ) { $("#rewardArea3").show(); }
	$getToggle = $("#reward4").val();
	if( $getToggle == "on" ) { $("#rewardArea4").show(); }
	$getToggle = $("#reward5").val();
	if( $getToggle == "on" ) { $("#rewardArea5").show(); }
	$getToggle = $("#reward6").val();
	if( $getToggle == "on" ) { $("#rewardArea6").show(); }

	$getToggle = $("#afffooter").val();
	if( $getToggle == "off" ) { $("#footerEdit").hide(); }

	// Toggle Actions On Click / Change
	$('.dub_select_image').click(function() {
		
		$getElID = $(this).attr("dsid");
		$getElDATA = $(this).attr("dsdata");
		
		// BG Custom Header Image TOGGLE
		if($getElID == "bg"){
			if( $getElDATA == "custom") { $("#bgCustom").show(); }
			else { $("#bgCustom").hide(); }
		}
		// BG TOGGLE
		if($getElID == "bg"){
			if( $getElDATA == "color") { $("#bgGrain").show(); }
			else { $("#bgGrain").hide(); }
		}
		// HEADER STYLE TOGGLE
		if($getElID == "headerstyle"){
			if( $getElDATA == "color") { $("#headerColorCustom").show(); $("#headerCustom").hide(); }
			if( $getElDATA == "custom") { $("#headerColorCustom").hide(); $("#headerCustom").show(); }
			if( $getElDATA == "" || $getElDATA == "none" ) { $("#headerColorCustom").hide(); $("#headerCustom").hide(); }
		}
		// CTA VIDEO
		if($getElID == "ctatype"){
			if( $getElDATA == "video") { $("#ctaVideo").show(); }
			else { $("#ctaVideo").hide(); }
		}
		// CTA IMAGE
		if($getElID == "ctatype"){
			if( $getElDATA == "image") { $("#ctaImage").show(); }
			else { $("#ctaImage").hide(); }
		}
		// CTA COPY
		if($getElID == "ctatype"){
			if( $getElDATA == "copy") { $("#ctaCopy").show(); }
			else { $("#ctaCopy").hide(); }
		}
		// OPTIN BUTTON
		if($getElID == "form_btnstyle"){
			if( $getElDATA == "custom") {  $("#optinCustom").show(); $("#optinCopy").hide(); }
			else {  $("#optinCustom").hide(); $("#optinCopy").show(); }
		}
		// DOWNLOAD BUTTON
		if($getElID == "dlbtn"){
			if( $getElDATA == "custom") {  $("#dlbtnCustom").show(); $("#dlbtnCopy").hide(); }
			else {  $("#dlbtnCustom").hide(); $("#dlbtnCopy").show(); }
		}
		// SHARE VIDEO
		if($getElID == "sharevideo"){
			if( $getElDATA == "custom") {  $("#shareCustom").show(); }
			else {  $("#shareCustom").hide();}
		}
		// FB BADGE
		if($getElID == "fbbadge"){
			if( $getElDATA == "custom") {  $("#fbBadge").show(); }
			else {  $("#fbBadge").hide();}
		}
		// TWITTER BADGE
		if($getElID == "twitterbadge"){
			if( $getElDATA == "custom") {  $("#twitterBadge").show(); }
			else {  $("#twitterBadge").hide();}
		}
		// EMAIL BADGE
		if($getElID == "emailbadge"){
			if( $getElDATA == "custom") {  $("#emailBadge").show(); }
			else {  $("#emailBadge").hide();}
		}
		// REWARDs BADGE
		if($getElID == "rewardbadge1"){
			if( $getElDATA == "custom") {  $("#rewardBadge1").show(); }
			else {  $("#rewardBadge1").hide();}
		}
		if($getElID == "rewardbadge2"){
			if( $getElDATA == "custom") {  $("#rewardBadge2").show(); }
			else {  $("#rewardBadge2").hide();}
		}
		if($getElID == "rewardbadge3"){
			if( $getElDATA == "custom") {  $("#rewardBadge3").show(); }
			else {  $("#rewardBadge3").hide();}
		}
		if($getElID == "rewardbadge4"){
			if( $getElDATA == "custom") {  $("#rewardBadge4").show(); }
			else {  $("#rewardBadge4").hide();}
		}
		if($getElID == "rewardbadge5"){
			if( $getElDATA == "custom") {  $("#rewardBadge5").show(); }
			else {  $("#rewardBadge5").hide();}
		}
		if($getElID == "rewardbadge6"){
			if( $getElDATA == "custom") {  $("#rewardBadge6").show(); }
			else {  $("#rewardBadge6").hide();}
		}
		if($getElID == "form_btncolor"){
			if( $getElDATA == "colorX") {  $("#btnColor").show(); }
			else {  $("#btnColor").hide();}
		}


	  return false;
	});

	// Toggle For Editing Rewards ::
	$('.rewardUnlockToggle').click(function() {
		
		$getID = $(this).attr("editID");

		$("#" + $getID ).toggle();
	
	  return false;
	});

});
</script>