<?php
/*
Plugin Name: List Eruption V2.0
Description: List Eruption leverages the power of friend referrals, rewards, and social media sharing to build your email list through viral, word of mouth marketing.
Version: 2.1
Author: Mark Thompson
*/

// Activation Here:
register_activation_hook(__FILE__, 'listeruption2_installer');
include("inc/activation.php");

// AJAX Callbacks:
include("inc/callback.php");

// Image Uploader:
include("inc/image.php");

// Menu Here:
include("inc/menu.php");

// Dashboard:
include("UI/index.php");

// Page Linking
include("inc/page_link.php");

require_once('wp-updates-plugin.php');
new WPUpdatesPluginUpdater( 'http://wp-updates.com/api/1/plugin', 147, plugin_basename(__FILE__) );

?>