<?php

// Run when plugin is activated
function listeruption2_installer(){

   global $wpdb;

   // Set Database For LE Apps

   $table_name = $wpdb->prefix . "listeruption2";
   
   if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
      
     $sql = "CREATE TABLE " . $table_name . " (
	   
	   ID INTEGER(100) UNSIGNED AUTO_INCREMENT,
	   
	   created varchar(30),
	   
	   appname varchar(200),
     camtype varchar(20),

     total_leads varchar(200),
     total_views varchar(200),

     postID varchar(10),
	   	   	
	   UNIQUE KEY id (id)
	   
	 )ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci AUTO_INCREMENT=1;";

      require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
      
      dbDelta($sql);
    
    }

   // Set Database For LE Leads
   $table_name = $wpdb->prefix . "listeruption2_leads";
   
   if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
      
     $sql = "CREATE TABLE " . $table_name . " (
	   
	   ID INTEGER(100) UNSIGNED AUTO_INCREMENT,
	   
	   created varchar(30),
	   
	   fullname varchar(200),
       email varchar(200),
       phone varchar(200),
       city varchar(200),
       state varchar(200),
       address varchar(200),

       ip varchar(200),

       ref varchar(200),

       points varchar(200),

       views varchar(200),

       referrals varchar(200),

       shared_fb varchar(10),
       shared_tw varchar(10),
       shared_ld varchar(10),
       shared_gp varchar(10),
       shared_em varchar(10),

       extra_like varchar(10),
       extra_follow varchar(10),
       extra_confirm varchar(10),

       reward1 varchar(5),
       reward2 varchar(5),
       reward3 varchar(5),
       reward4 varchar(5),
       reward5 varchar(5),
       reward6 varchar(5),

       campaignID varchar(200),
	   	   	
	   UNIQUE KEY id (id)
	   
	 )ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci AUTO_INCREMENT=1;";

      require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
      
      dbDelta($sql);
    
    }

} 

?>