<?php

// ********* META DATA BOX ********************///

add_action( 'add_meta_boxes', 'listeruption2x_meta_box_add' );

function listeruption2x_meta_box_add(){
	add_meta_box( 'listeruption2x-id', 'Link To ListEruption Page', 'listeruption2x_meta_box_cb', 'page', 'side', 'high' );
}

function listeruption2x_meta_box_cb(){ 
	
	   global $post;  
	   $values = get_post_custom( $post->ID );  
	   $selected = isset( $values['listeruption2x_meta_box_select'] ) ?
	   esc_attr( $values['listeruption2x_meta_box_select'] ) : '';
	    
	   wp_nonce_field( 'listeruption2x_meta_box_nonce', 'listeruption2x_box_nonce' );
	   
	   $listeruption2xSelected = $values['listeruption2x_meta_box_select'];
	      
	   $listeruption2xCurrentSelected = $listeruption2xSelected[0];
	      
	?>
	<h4 style=" margin-bottom: 0px; margin-top: 15px;">Select A List Eruption Campaign Page:</h4>
	<span style="font-size: 11px;" >This page will be replaced with this campaign page...</span>
	<br>   
	<select name="listeruption2x_meta_box_select" id="listeruption2x_meta_box_select" style="margin-top: 10px; width: 250px;">
	
	<option <?php if($listeruption2xCurrentSelected == "0"){ echo "selected='selected'"; } ?> value="0">NONE</option>
	
	
		  	<?php 
		   	
		   	global $wpdb;
		   	
			$table_db_name = $wpdb->prefix . "listeruption2";

		   	$templates = $wpdb->get_results("SELECT * FROM $table_db_name",ARRAY_A);
		   	$templates = array_reverse($templates );
		   	
		   	foreach($templates as $template){
		   	
		   		$name = stripslashes($template['appname']);
		   		$id = stripslashes($template['ID']);
		   		$selectedBox = "";
		   		if($listeruption2xCurrentSelected == $id){ $selectedBox = "selected='selected'"; }
		   		
		   		echo "<option $selectedBox value='$id'>$name</option>";
		   	
		   	}
		   	
		   	?>
	
	</select>
	
	<?php
}

// Save Settings

add_action( 'save_post', 'listeruption2x_meta_box_save' );

function listeruption2x_meta_box_save( $post_id ){
	// Bail if we're doing an auto save
	if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;

	// if our nonce isn't there, or we can't verify it, bail
	if( !isset( $_POST['listeruption2x_box_nonce'] ) || !wp_verify_nonce( $_POST['listeruption2x_box_nonce'], 'listeruption2x_meta_box_nonce' ) ) return;

	// if our current user can't edit this post, bail
	if( !current_user_can( 'edit_post' ) ) return;
	
	// now we can actually save the data 
	  
	// Make sure your data is set before trying to save it  

	if( isset( $_POST['listeruption2x_meta_box_select'] ) )  
	        update_post_meta( $post_id, 'listeruption2x_meta_box_select', esc_attr( $_POST['listeruption2x_meta_box_select'] ) );  
	                         
}

// Get post settings ::

add_action('template_redirect', 'listeruption2x_checkpost');

function listeruption2x_checkpost(){
	
	// get POST ID:
	global $post;  
	$values = get_post_custom( $post->ID );  
	$selected = isset( $values['listeruption2x_meta_box_select'] );	
	$listeruption2xSelected = $values['listeruption2x_meta_box_select'];
	
	$listeruption2xCurrentSelected = $listeruption2xSelected[0];
	
	
	if($listeruption2xCurrentSelected == "0" || $listeruption2xCurrentSelected == ""){
		// do nothing...
	} else {
				
			$full_path = WP_PLUGIN_URL.'/'.str_replace(basename( FILE),"",plugin_basename(FILE));
			
			$client = urlencode($listeruption2xCurrentSelected);
			
			$postID = $post->ID;
			
			// $url = $full_path. "listeruption2/lp/index.php?id=$client&p=$postID";
			
			include("lp/index.php");
			
			die();
			
		}
		
	

}

?>