<?php

// Universal Variables

$pluginName = "listeruption2";
$sitePath = site_url() . "/wp-content/plugins/". $pluginName;

?>

<style type="text/css">
	


	#mWrapper{

		width: 981px;
		margin-top: 20px;

		font-smooth:always;
		-webkit-font-smoothing: antialiased;

		color: #34495e;
  		font: 14px/1.231 "Lato", sans-serif;

	}

	#mLogo{
		width:981px;
		height: 147px;
	}

	#mNav{
		/*padding: 20px;*/
		padding-left: 20px;
		border: 1px solid black;
		background-image: -webkit-gradient(linear, center top, center bottom, from(#363637), to(#282829));
		background-image: -webkit-linear-gradient(top, #363637, #282829);
		background-image: -moz-linear-gradient(top, #363637, #282829);
		background-image: -o-linear-gradient(top, #363637, #282829);
		background-image: -ms-linear-gradient(top, #363637, #282829);
		background-image: linear-gradient(to bottom, #363637, #282829);
	}

	#mNav a{
		color: #FFF;
		text-decoration: none;
		font-weight: bold;
		font-size: 14px;
		text-shadow: 1px 1px 1px #000000;
        filter: dropshadow(color=#000000, offx=1, offy=1);
	}

	/*#mNav a:hover{
		color: #29a8e0;
	}*/

	.navItem{
		float: left;
		cursor: pointer;
		padding: 20px;
	}

	.navItem a{
		color: #FFF;
		text-decoration: none;
		font-weight: bold;
		font-size: 14px;
		text-shadow: 1px 1px 1px #000000;
        filter: dropshadow(color=#000000, offx=1, offy=1);
	}

	.navItem:hover{
		background-image: -webkit-gradient(linear, center top, center bottom, from(#282829), to(#363637));
		background-image: -webkit-linear-gradient(top, #282829, #363637);
		background-image: -moz-linear-gradient(top, #282829, #363637);
		background-image: -o-linear-gradient(top, #282829, #363637);
		background-image: -ms-linear-gradient(top, #282829, #363637);
		background-image: linear-gradient(to bottom, #282829, #363637);
		-webkit-text-shadow: 0 1px 0 #1e4f73;
		-moz-text-shadow: 0 1px 0 #1e4f73;
		text-shadow: 0 1px 0 #1e4f73;
		border-left: 1px solid #282829;
		border-right: 1px solid #282829;
		padding-left: 19px;
		padding-right: 19px;
	}

	.navSelected{
		background-image: -webkit-gradient(linear, center top, center bottom, from(#282829), to(#363637));
		background-image: -webkit-linear-gradient(top, #282829, #363637);
		background-image: -moz-linear-gradient(top, #282829, #363637);
		background-image: -o-linear-gradient(top, #282829, #363637);
		background-image: -ms-linear-gradient(top, #282829, #363637);
		background-image: linear-gradient(to bottom, #282829, #363637);
		-webkit-text-shadow: 0 1px 0 #1e4f73;
		-moz-text-shadow: 0 1px 0 #1e4f73;
		text-shadow: 0 1px 0 #1e4f73;
		border-left: 1px solid #282829;
		border-right: 1px solid #282829;
		padding-left: 19px;
		padding-right: 19px;
	}

	#container{
		background-image: url(<?php echo $sitePath; ?>/images/watermark.png);
		background-repeat: no-repeat;
		background-position: left top;
		background-color: #ECF0F1;
		padding: 20px;
		/*border-left: 1px solid #BDC3C7;
		border-right: 1px solid #BDC3C7;
		*/border-bottom: 3px solid #BDC3C7;
		/*border-top: 1px solid #BDC3C7;*/
		border-bottom-right-radius: 6px;
		border-bottom-left-radius: 6px;
		border-top-right-radius: 6px;
		border-top-left-radius: 6px;
	}

	/* DASHBOARD CSS :: */

	#listapps{
		background-color: #FFF;
		/*border: 1px solid #c7cfd9;*/
		border-bottom: 3px solid #BDC3C7;
		border-radius: 6px;
	}

	#dashinfo{
		float:left;
		width:182px;
		margin-left: 40px;
	}

	/*App Listing*/

	.appitem{
		padding: 10px;
		border-bottom: 3px solid #ECF0F1;
		height: 56px;
	}

	.appitem:hover{
		color: #FFF;
		border-bottom: 3px solid #D35400;
		background-color: #E67E22;
	}

	.appitem:hover .ctrl-btn{
		background-color: #34495E;
	}

	.appitem:hover .ctrl{
		background-color: rgba(0,0,0,0.10);
	}

	.appitem:hover .ctrl2{
		background-color: rgba(0,0,0,0.10);
	}

	.appitem:hover .appMeta{
		color: #FFF;
		opacity: 0.8;
	}

	.appitem:hover .appedit{
		display: block;
	}

	#appHeader{
		padding: 20px;
		padding-bottom: 17px;
		color: #FFF;
		text-decoration: none;
		font-weight: bold;
		font-size: 16px;
		border-top-left-radius: 6px;
		border-top-right-radius: 6px;
		background-color: #34495E;
		text-transform: uppercase;
		border-bottom: 3px solid #2C3E50;
	}

	.appimage{
		float: left;
		margin-left: 10px;
	}

	.appinfo{
		float: left;
		margin-left: 20px;
		/*width: 810px;*/
	}

	.appinfo2{
		margin-left: 20px;
		/*width: 810px;*/
	}

	.appedit{
		float: right;
		margin-right: 20px;
		/*width: 50px;*/
		padding-top: 20px;
	}

	.appTitle{
		font-weight: bold;
		display: block;
		font-size: 16px;
		margin-top: 9px;
	}

	.appMeta{
		color: #9d9ea0;
		font-size: 11px;	
	}

	.appnew{
		padding: 30px;
	}

	.btn a{
		text-decoration: none;
		/*color: #FFF;*/
	}

	.blue-btn-2{
		float: right;
		color: #FFF;
		font-weight: bold;
		font-size: 16px;
		border-radius: 3px;
		padding: 10px;
		cursor: pointer;
		background-color: #34495E;
	}

	.blue-btn{
		color: #FFF;
		font-weight: bold;
		font-size: 14px;
		border-radius: 3px;
		padding: 10px;
		cursor: pointer;
		border: 1px solid #67191d;
		border-bottom: 1px solid #67191d;
		background-color: #be333b;
		background-image: -webkit-gradient(linear, center top, center bottom, from(#be333b), to(#9f252b));
		background-image: -webkit-linear-gradient(top, #be333b, #9f252b);
		background-image: -moz-linear-gradient(top, #be333b, #9f252b);
		background-image: -o-linear-gradient(top, #be333b, #9f252b);
		background-image: -ms-linear-gradient(top, #be333b, #9f252b);
		background-image: linear-gradient(to bottom, #be333b, #9f252b);
		-webkit-box-shadow: 0 1px 1px rgba(0,0,0,0.75), inset 0 1px 0 #b33339;
		-moz-box-shadow: 0 1px 1px rgba(0,0,0,0.75), inset 0 1px 0 #b33339;
		box-shadow: 0 1px 1px rgba(0,0,0,0.75), inset 0 1px 0 #b33339;
		-webkit-text-shadow: 0 1px 0 #67191d;
		-moz-text-shadow: 0 1px 0 #67191d;
		text-shadow: 0 1px 0 #67191d;
	}

	.blue-btn-2 a{
		text-decoration: none;
		color: #FFF;
	}

	.blue-btn a{
		text-decoration: none;
		color: #FFF;
	}

	.blue-btn:hover{
		border: 1px solid #191919;
		border-bottom: 1px solid #191919;
		background-color: #363637;
		background-image: -webkit-gradient(linear, center top, center bottom, from(#363637), to(#282829));
		background-image: -webkit-linear-gradient(top, #363637, #282829);
		background-image: -moz-linear-gradient(top, #363637, #282829);
		background-image: -o-linear-gradient(top, #363637, #282829);
		background-image: -ms-linear-gradient(top, #363637, #282829);
		background-image: linear-gradient(to bottom, #363637, #282829);
		-webkit-box-shadow: 0 1px 1px rgba(0,0,0,0.75), inset 0 1px 0 #474747;
		-moz-box-shadow: 0 1px 1px rgba(0,0,0,0.75), inset 0 1px 0 #474747;
		box-shadow: 0 1px 1px rgba(0,0,0,0.75), inset 0 1px 0 #474747;
		-webkit-text-shadow: 0 1px 0 #191919;
		-moz-text-shadow: 0 1px 0 #191919;
		text-shadow: 0 1px 0 #191919;
	}

	.black-btn{
		color: #FFF;
		font-weight: bold;
		font-size: 14px;
		border-radius: 3px;
		padding: 10px;
		cursor: pointer;
		border: 1px solid #194a73;
		border-bottom: 1px solid #085081;
		border: 1px solid #191919;
		border-bottom: 1px solid #191919;
		background-color: #363637;
		background-image: -webkit-gradient(linear, center top, center bottom, from(#363637), to(#282829));
		background-image: -webkit-linear-gradient(top, #363637, #282829);
		background-image: -moz-linear-gradient(top, #363637, #282829);
		background-image: -o-linear-gradient(top, #363637, #282829);
		background-image: -ms-linear-gradient(top, #363637, #282829);
		background-image: linear-gradient(to bottom, #363637, #282829);
		-webkit-box-shadow: 0 1px 1px rgba(0,0,0,0.75), inset 0 1px 0 #474747;
		-moz-box-shadow: 0 1px 1px rgba(0,0,0,0.75), inset 0 1px 0 #474747;
		box-shadow: 0 1px 1px rgba(0,0,0,0.75), inset 0 1px 0 #474747;
		-webkit-text-shadow: 0 1px 0 #191919;
		-moz-text-shadow: 0 1px 0 #191919;
		text-shadow: 0 1px 0 #191919;
	}

	.black-btn a{
		text-decoration: none;
		color: #FFF;
	}

	.grey-btn{
		font-weight: bold;
		font-size: 14px;
		border-radius: 3px;
		padding: 10px;
		cursor: pointer;
		border: 1px solid #b9b9b9;
		background-color: #fdfdfd;
		background-image: -webkit-gradient(linear, center top, center bottom, from(#fdfdfd), to(#f5f5f5));
		background-image: -webkit-linear-gradient(top, #fdfdfd, #f5f5f5);
		background-image: -moz-linear-gradient(top, #fdfdfd, #f5f5f5);
		background-image: -o-linear-gradient(top, #fdfdfd, #f5f5f5);
		background-image: -ms-linear-gradient(top, #fdfdfd, #f5f5f5);
		background-image: linear-gradient(to bottom, #fdfdfd, #f5f5f5);
		-webkit-box-shadow: 0 1px 1px rgba(0,0,0,0.25), inset 0 1px 0 #FFF;
		-moz-box-shadow: 0 1px 1px rgba(0,0,0,0.25), inset 0 1px 0 #FFF;
		box-shadow: 0 1px 1px rgba(0,0,0,0.25), inset 0 1px 0 #FFF;
		-webkit-text-shadow: 0 1px 0 #FFF;
		-moz-text-shadow: 0 1px 0 #FFF;
		text-shadow: 0 1px 0 #FFF;
	}

	.grey-btn:hover{
		background-color: #FFF !important;
	}

	.grey-btn a{
		text-decoration: none;
		color: #372f2b;
	}

	.grey-btn2{
		font-weight: bold;
		font-size: 14px;
		border-radius: 3px;
		padding: 10px;
		cursor: pointer;
		background-color: #dca19b;
		color: #FFF !important;
	}

	.grey-btn2:hover{
		background-color: #dc4032 !important;
	}

	.grey-btn3{
		font-weight: bold;
		font-size: 14px;
		border-radius: 3px;
		padding: 10px;
		cursor: pointer;
		background-color: #9fd685;
		color: #FFF !important;
		margin-right: 15px;
	}

	.grey-btn3:hover{
		background-color: #88a61f !important;
	}


	.ctrl-btn{
		display: inline;
		font-weight: bold;
		font-size: 14px;
		border-radius: 3px;
		padding: 10px;
		cursor: pointer;
		background-color: #34495E;
		color: #fff;
	}

	.ctrl-btn:hover{
		background-color: #34495E;
	}

	.ctrl-btn:hover .ic{
		color: #fff;
	}

	.ctrl-btn a{
		text-decoration: none;
		color: #FFF;
	}

	.ctrl{
		display: inline;
		font-weight: bold;
		font-size: 14px;
		border-radius: 3px;
		padding: 10px;
		background-color: rgba(0,0,0,0.03);
	}

	.ctrl:hover{
		background-color: rgba(0,0,0,0.35);
	}

	.ctrl2{
		display: inline;
		font-weight: bold;
		font-size: 14px;
		border-radius: 3px;
		padding: 10px;
		background-color: rgba(0,0,0,0.03);
	}

	.ctrl2:hover{
		background-color: rgba(0,0,0,0.35);
	}

	.saved {
		font-weight: bold;
		font-size: 14px;
		border-radius: 3px;
		padding: 10px;
		cursor: pointer;
		border: 1px solid #C19114;
		background-color: #FEEEB8;
	}

	.saved a{
		color: #6A4A00;
		text-shadow: 0 1px 2px white;
	}

	/*EDIT AREA*/

	.editTop{
		padding-left: 0px;
		padding-right: 20px;
		padding-top: 20px;
		padding-bottom: 20px;
		background-color: #34495E;
		border-top-right-radius: 6px;
		border-top-left-radius: 6px;
		border-bottom: 3px solid #EEE;
	}

	.editArea{
		min-height: 450px;
		padding: 20px;
		background-color: #FFF;
		border-bottom: 3px solid #c0c2c4;
		border-bottom-right-radius: 6px;
		border-bottom-left-radius: 6px;
		float: left;
		width: 810px;
		margin-bottom: 25px;
	}

	.editNav{
		color: #FFF;
		text-decoration: none;
		font-weight: bold;
		font-size: 12px;
		float: left;
		width: 90px;
	}

	.editItem{
		background-color: #7F8C8D;
		float: left;
		cursor: pointer;
		padding-top: 15px;
		padding-bottom: 15px;
		text-align: center;
		width: 90px;
		border-bottom: 3px solid #798687;
	}

	.editItemTitle{
		display: block;
		margin-top: 5px;
	}

	.editItem2{
		background-color: #7F8C8D;
		float: left;
		cursor: pointer;
		padding-top: 15px;
		padding-bottom: 15px;
		text-align: center;
		width: 90px;
		border-bottom: 3px solid #525c5d;
		-webkit-border-bottom-left-radius: 6px;
		-moz-border-radius-bottomleft: 6px;
		border-bottom-left-radius: 6px;
	}

	.editItem2:hover{
		background-color: #FFF;
		color: #34495e;
		border-bottom: 3px solid #d5d5d5 !important;
	}

	.editItem:hover{
		background-color: #FFF;
		color: #34495e;
		border-bottom: 3px solid #eeeeee;
	}

	.editSelected{
		background-color: #FFF;
		color: #34495e;
		border-bottom: 3px solid #eeeeee;
	}

	.editSelected:nth-child(5) {
		border-bottom: 3px solid #d5d5d5 !important;
	}

	.editSection{
		padding: 0px 20px 0px 20px;
		/*padding-top: 30px;*/
	}

	.pageNav{
		background-color: #ECF0F1;
		/*border-bottom: 3px solid #BDC3C7;*/
		-webkit-border-bottom-right-radius: 6px;
		-webkit-border-bottom-left-radius: 6px;
		-moz-border-radius-bottomright: 6px;
		-moz-border-radius-bottomleft: 6px;
		border-bottom-right-radius: 6px;
		border-bottom-left-radius: 6px;
		color: #484848;
	}

	.pageItem{
		float: left;
		cursor: pointer;
		padding: 10px;
		padding-left: 20px;
		padding-right: 20px;
		text-align: center;
		border-right: 1px solid #e9e9e9;
		border-bottom: 3px solid #BDC3C7;
	}

	.pageItem:nth-child(1){
		-webkit-border-bottom-left-radius: 6px;
		-moz-border-radius-bottomleft: 6px;
		border-bottom-left-radius: 6px;
	}

	.pageItem:hover{
		background-color: #FFF;
		border-bottom: 3px solid #ffffff;
	}

	.pageSelected{
		background-color: #FFF;
		border-bottom: 3px solid #ffffff;
	}

	.pageItemTitle{
		margin-left: 10px;
		font-weight: 900;
		font-size: 16px;
		margin-top: 1px; 
		float: left;
	}

	.pageItemIcon{
		float: left;
	}

	.inputTitle{
		font-size: 14px;
		font-weight: bold;
		/*width: 300px;*/
		padding-top: 10px;
	}

	.inputSection{
		/*width: 550px;*/
		/*background-color: #000;*/
	}

	.inputField{

		height: 56px !important;
		/*padding-top: 26px !important;
		padding-bottom: 26px !important;*/
		line-height: 56px !important;

		padding-left: 15px !important;
		padding-right: 15px !important;
		border: 2px solid #DFDFDF !important;
		color: #333;
		font-weight: bold;
		width: 100%;
		margin-bottom: 0px !important; 
	}

	.inputField:focus{
		border-color: #DDD !important; 
	}

	.inputField_select{
		
		height: 56px !important;
		/*padding-top: 26px !important;
		padding-bottom: 26px !important;*/
		line-height: 56px !important;

		padding-left: 15px !important;
		padding-right: 15px !important;
		border: 2px solid #DFDFDF !important;
		color: #333;
		font-weight: bold;
		width: 100% !important;
	}

	.inputField:focus{
		border-color: #e9322d !important;
	}

	.inputTextarea{
		padding: 25px !important;
		border: 2px solid #DFDFDF !important;
		color: #333;
		font-weight: bold;
		width: 100%;
		height: 170px;	
	}

	.inputTextarea:focus {
		border: 2px solid #478ce8 !important;	
	}

	.inputField:focus {
		border: 2px solid #478ce8 !important;	
	}

	.iconHelp{
		margin-bottom: -4px;
		margin-left: 10px;
		cursor: help;
	}

	
	.titleBar{
		padding: 20px;
		background-color: #f9f9f9;
		border-bottom: 3px solid #ECF0F5;
		-webkit-border-radius: 6px;
		-moz-border-radius: 6px;
		border-radius: 6px;
	}

	.titleBar2{
		padding: 20px;
		background-color: #f9f9f9;
		border-bottom: 3px solid #ECF0F5;
		-webkit-border-radius: 6px;
	-webkit-border-bottom-right-radius: 0px !important;
	-webkit-border-bottom-left-radius: 0px !important;
	-moz-border-radius: 6px;
	-moz-border-radius-bottomright: 0px !important;
	-moz-border-radius-bottomleft: 0px !important;
	border-radius: 6px;
	border-bottom-right-radius: 0px !important;
	border-bottom-left-radius: 0px !important;
	}

	.titleBar h2{
		margin-top: -5px;
		font-weight: 900;
	}

	.titleBar p{
		margin-top: 0px;
		margin-bottom: 0px;
		float: left;
	}

	.pageIcon{
		float: right;
		color: #d4d4d4;
		margin-top: 4px;
	}

	.pageTitle{
		float: left;
	}
	.alertIT {
		color: #C09853;
		padding: 8px 35px 8px 14px;
		margin-bottom: 20px;
		text-shadow: 0 1px 0 rgba(255, 255, 255, 0.5);
		background-color: #FCF8E3;
		border: 1px solid #FBEED5;
		-webkit-border-radius: 4px;
		-moz-border-radius: 4px;
		border-radius: 4px;
	}

	.alertIT2 {
		color: #3e3e3f;
		padding: 8px 35px 8px 14px;
		margin-bottom: 20px;
		text-shadow: 0 1px 0 rgba(255, 255, 255, 0.5);
		background-color: #f2f2f2;
		-webkit-border-radius: 4px;
		-moz-border-radius: 4px;
		border-radius: 4px;
	}

	#chooseapp{
		padding: 10px;
		margin-top: 5px;
		background-color: #f3f8fc;
		border: 3px solid #c3dfed;
		-webkit-border-radius: 10px;
		border-radius: 10px;
	}

	#chooseapp img{
		padding: 10px;
		cursor: pointer;
	}

	.choosenapp{
		padding: 4px;
		background-color: #22649b;
		/*border: 3px solid #c3dfed;*/
		-webkit-border-radius: 10px;
		border-radius: 10px;
	}

	.choosenapp span{
		color: #FFF;
	}


	.appselect{
		padding: 4px;
		float: left;
		text-align: center;
	}

	.appselect img{
		display: block;
	}

	.appname{
		font-weight: bold;
	}

	.ex-tooltip{
		position: absolute;
		background-color: #000;
		color: #FFF;
	}

	.stat{
		float: left;
		width: 398px;
		height: 90px;
		text-align: center;
		background-color: #f2f2f2;
		padding: 20px;
		-webkit-border-radius: 10px;
		-moz-border-radius: 10px;
		border-radius: 10px;
	}

	.stat:hover{
		background-color: #fbfbfb;
	}

	.stat_number{
		display: block;
		font-size: 30px;
		font-weight: bold;
		padding-top: 25px;
	}

	.stat_title{
		display: block;
		padding-top: 15px;
		font-size: 12px;
		font-weight: bold;
		color: #4e4e4e;
	}

	.dub_select_image{
		float: left;
		cursor: pointer;
		background-color: #F9F9F9;
		border-radius: 6px;
		margin-right: 20px; 
		border-bottom: 4px solid rgba(0,0,0,0.15);
	}

	.dub_select_image:nth-child(6){
		margin-right: 0px !important;
	}

	.rewardEditing .dub_select_image:nth-child(6),
	.rewardEditing .dub_select_image:nth-child(7),
	.rewardEditing .dub_select_image:nth-child(8),
	.rewardEditing .dub_select_image:nth-child(9),
	.rewardEditing .dub_select_image:nth-child(10),
	.rewardEditing .dub_select_image:nth-child(11),
	.rewardEditing .dub_select_image:nth-child(12),
	.rewardEditing .dub_select_image:nth-child(13){
		margin-right: 20px !important;
		margin-top: 20px;
	}

	.dub_select_image:hover{
		background-color: #1ABC9C;
		border-bottom: 4px solid rgba(0,0,0,0.15);
	}

	.dub_select_image img{
		margin-left: 15px;
		margin-right: 15px;
		margin-top: 15px;
		margin-bottom: 12px;
		border: 3px solid #FFF;
	}

	.dub_select_image_selected{
		background-color: #1ABC9C;
		border-radius: 5px;
		border-bottom: 4px solid rgba(0,0,0,0.15);
	}

	.color-field-picker{
		background-image: url(<?php echo $sitePath; ?>/images/color.png) !important;
		background-position: right center;
		background-repeat: no-repeat;
	}

	.date-field-picker{
		background-image: url(<?php echo $sitePath; ?>/images/date.png) !important;
		background-position: right center;
		background-repeat: no-repeat;
	}

	.color-addon{
		margin-top: 1px !important;
		text-align: center;
		background-color: #efeef5 !important;
		width: 40px !important;
		height: 44px !important;
		border-top: 2px solid #DFDFDF !important;
		border-bottom: 2px solid #DFDFDF !important;
		border-right: 2px solid #DFDFDF !important;
		border-left: 0px !important;
		-webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075) !important;
		-moz-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075) !important;
		box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075) !important;
		-webkit-transition: border linear .2s, box-shadow linear .2s !important;
	}

	.inputTitleText {
		font-size: 14px;
		font-weight: bold;
		padding-bottom: 5px;
		width: 100%;
		border-bottom: 2px solid #d5d6d8;
	}

	.inputHelpText {
		float: left;
		font-size: 14px;
		color: #6C6C6C;
		padding-top: 10px;
		padding-bottom: 10px;
		font-weight: normal;
	}

	.inputHelpIcon{
		float: right;
		cursor: pointer;
		padding-top: 7px;
		font-size: 14px;
		padding-right: 15px;
		padding-left: 15px;
		color: #9ba1a6;
	}

	.inputHelpIcon_selected{
		background-color: #ECF0F1;
		padding-bottom: 13px;
		border-left: 4px solid rgba(0,0,0,0.05);
		color: #323436;
	}

	.inputHelpIcon:hover{
		color: #323436;
	}

	.viewHelp{
		display: none;
		background-color: #ECF0F1;
		padding: 10px;
		padding-bottom: 7px;
		-webkit-border-radius: 6px;
		-webkit-border-top-right-radius: 0;
		-moz-border-radius: 6px;
		-moz-border-radius-topright: 0;
		border-radius: 6px;
		border-top-right-radius: 0;
		margin-bottom: 10px;
		-webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
		-moz-box-sizing: border-box;    /* Firefox, other Gecko */
		box-sizing: border-box;
		border-bottom: 4px solid rgba(0,0,0,0.15);
	}

	.viewHelp img{
		border: 3px solid #FFF;
		-webkit-border-radius: 6px;
		-moz-border-radius: 6px;
		border-radius: 6px;
	}

	#leads_filter input{
		padding: 15px;
		margin-left: 10px;
		margin-bottom: 10px;
		/*background-image: url(http://cdn3.iconfinder.com/data/icons/woothemesiconset/16/search_button_green.png);*/
		background-repeat: no-repeat;
		background-position: 165px center;
		/*background-position: 180px -48px 0;*/
		background-image: url("<?php echo $sitePath; ?>/images/search-icon.png");
	}

	#leads_paginate{
		margin-top: -10px;
	}

	#leads_info{
		padding-top: 10px;
	}

	#leads_length select{
		margin-bottom: -13px;
	}

	.paginate_disabled_previous {
		font-weight: bold;
		font-size: 14px;
		border-radius: 3px;
		padding: 10px;
		cursor: pointer;
		border: 1px solid #dbdbdb;
		background-color: #fdfdfd;
		text-decoration: none;
		color: #828989;
	}

	.paginate_disabled_previous:hover {
		color: #828989;
	}

	.paginate_enabled_previous{
		font-weight: bold;
		font-size: 14px;
		border-radius: 3px;
		padding: 10px;
		cursor: pointer;
		border: 1px solid #b9b9b9;
		background-color: #F9F9F9;
		text-decoration: none;
		color: #372f2b;
	}

	.paginate_disabled_next {
		margin-left: 15px;
		font-weight: bold;
		font-size: 14px;
		border-radius: 3px;
		padding: 10px;
		cursor: pointer;
		border: 1px solid #dbdbdb;
		background-color: #fdfdfd;
		text-decoration: none;
		color: #828989;
	}

	.paginate_disabled_next:hover {
		color: #828989;
	}

	.paginate_enabled_next{
		margin-left: 15px;
		font-weight: bold;
		font-size: 14px;
		border-radius: 3px;
		padding: 10px;
		cursor: pointer;
		border: 1px solid #b9b9b9;
		background-color: #F9F9F9;
		text-decoration: none;
		color: #372f2b;
	}

	.delete_lead{
		cursor: pointer;
	}

	.subName{
		display: block;
		font-size: 16px;
		font-weight: bold;
	}

	.subEdit{
		float: right;
		background-color: rgba(0,0,0,0.03);
		font-size: 14px;
		padding: 5px;
		padding-left: 8px;
		padding-right: 8px;
		-webkit-border-radius: 6px;
		-moz-border-radius: 6px;
		border-radius: 6px;
		margin-right: 5px;
		margin-top: 3px;
	}

	.subEdit a{
		text-decoration: none;
		color: #a3a3a3;
	}

	.subInfo{
		/*display: block;*/
	}

	.leadInfo{
		border-top: 1px solid rgba(0,0,0,0.03);
		margin-top: 5px;
		padding-top: 5px;
		font-size: 12px;
	}

	.statBlock{
		width: 260px;
		float: left;
	}

	.statViews{
		margin-top: 10px;
		background-color: #1ABC9C;
		color: #FFF;
		-webkit-border-radius: 6px;
		-moz-border-radius: 6px;
		border-radius: 6px;
		padding: 30px;
		padding-bottom: 27px;
		border-bottom: 3px solid rgba(0,0,0,0.15);
	}

	.statSubs{
		margin-top: 10px;
		background-color: #2ECC71;
		color: #FFF;
		-webkit-border-radius: 6px;
		-moz-border-radius: 6px;
		border-radius: 6px;
		padding: 30px;
		padding-bottom: 27px;
		border-bottom: 3px solid rgba(0,0,0,0.15);
	}

	.statShares{
		margin-top: 10px;
		background-color: #3498DB;
		color: #FFF;
		-webkit-border-radius: 6px;
		-moz-border-radius: 6px;
		border-radius: 6px;
		padding: 30px;
		padding-bottom: 27px;
		border-bottom: 3px solid rgba(0,0,0,0.15);
	}

	.statFB{
		margin-top: 10px;
		background-color: #2980B9;
		color: #FFF;
		-webkit-border-radius: 6px;
		-moz-border-radius: 6px;
		border-radius: 6px;
		padding: 20px;
		padding-bottom: 17px;
		border-bottom: 3px solid rgba(0,0,0,0.15);
	}

	.statTwitter{
		margin-top: 10px;
		background-color: #88E1FF;
		color: #FFF;
		-webkit-border-radius: 6px;
		-moz-border-radius: 6px;
		border-radius: 6px;
		padding: 20px;
		padding-bottom: 17px;
		border-bottom: 3px solid rgba(0,0,0,0.15);
	}

	.statLinkedIn{
		margin-top: 10px;
		background-color: #4FA1C3;
		color: #FFF;
		-webkit-border-radius: 6px;
		-moz-border-radius: 6px;
		border-radius: 6px;
		padding: 20px;
		padding-bottom: 17px;
		border-bottom: 3px solid rgba(0,0,0,0.15);
	}

	.statGoogle{
		margin-top: 10px;
		background-color: #D6492F;
		color: #FFF;
		-webkit-border-radius: 6px;
		-moz-border-radius: 6px;
		border-radius: 6px;
		padding: 20px;
		padding-bottom: 17px;
		border-bottom: 3px solid rgba(0,0,0,0.15);
	}

	.statTitle{
		font-size: 14px;
		font-weight: bold;
		display: block;
	}

	.statIcon{
		float: left;
		/*margin-top: 10px;*/
	}

	.statNumber{
		float: right;
		font-size: 32px;
		/*margin-top: 10px;*/
	}

	.statNumber2 {
		float: right;
		font-size: 21px;
		/*margin-top: 10px;*/
	}

	.statBlock2{
		width: 190px;
		margin-top: 17px;
		float: left;
	}

	.statBlock:hover{
		opacity: 0.8;
	}

	.statBlock2:hover{
		opacity: 0.8;
	}

	.statConversion{
		margin-left: 5px;
		color: #27AE60;
	}

	.appTopLeft{
		float: left;
	}

	.appTopRight{
		float: right;
		margin-top: 6px;
	}

	.btn-p{
		background-color: #4E6D8D;
		padding: 5px;
		padding-left: 10px;
		padding-right: 10px;
		-webkit-border-radius: 6px;
		-moz-border-radius: 6px;
		border-radius: 6px;
		color: #FFF;
		border-bottom: 3px solid rgba(0,0,0,0.15);
	}

	.btn-p:hover{
		background-color: #637f9f;
	}

	.btn-p a{
		color: #FFF;
		font-weight: 900;
		font-size: 14px;
	}

	.btn-s{
		background-color: #febf4f;
		padding: 5px;
		padding-left: 10px;
		padding-right: 10px;
		-webkit-border-radius: 6px;
		-moz-border-radius: 6px;
		border-radius: 6px;
		color: #FFF;
		border-bottom: 3px solid rgba(0,0,0,0.15);
	}

	.btn-s:hover{
		background-color: #ffd485;
	}

	.btn-s:hover a{
		color: #7b3c2b;
	}

	.btn-s a{
		color: #7b3c2b;
		font-weight: 900;
		font-size: 14px;
	}

	.footerBtn{
		border-top: 1px solid #f0f0f0;
		margin-top: 15px;
	}

	.appTopRight2{
		padding-top: 15px;
		border-top: 3px solid #ECF0F1;
		margin-top: 0px;
	}

	#optinForms{
		margin-top: 25px;
		margin-bottom: 20px;
		background-color: #F9F9F9;
		padding: 15px;
		-webkit-border-radius: 6px;
		-moz-border-radius: 6px;
		border-radius: 6px;
		border-bottom: 3px solid rgba(0,0,0,0.15);
	}

	.optinForms{
		margin-top: 25px;
		margin-bottom: 20px;
		background-color: #F9F9F9;
		padding: 15px;
		-webkit-border-radius: 6px;
		-moz-border-radius: 6px;
		border-radius: 6px;
		border-bottom: 3px solid rgba(0,0,0,0.15);
	}

	#fbbadgecustom{
		width: 600px !important;
	}

	#twitterbadgecustom{
		width: 600px !important;
	}
	
	#emailbadgecustom{
		width: 600px !important;
	}

	#rewardbadgecustom1{
		width: 600px !important;
	}
	#rewardbadgecustom2{
		width: 600px !important;
	}
	#rewardbadgecustom3{
		width: 600px !important;
	}
	#rewardbadgecustom4{
		width: 600px !important;
	}
	#rewardbadgecustom5{
		width: 600px !important;
	}
	#rewardbadgecustom6{
		width: 600px !important;
	}

	#confimInfo{
		background-color: #ECF0F1;
		padding: 15px;
		border-bottom: 3px solid rgba(0,0,0,0.15);
		-webkit-border-radius: 6px;
		-moz-border-radius: 6px;
		border-radius: 6px;
	}

	.rewardUnlockTitle{
		/*background-color: #ECF0F1;*/
		/*border-bottom: 3px solid #BDC3C7;*/
		margin-top: -15px;
		margin-left: -15px;
		margin-right: -15px;
		padding: 15px;
		padding-bottom: 2px;
		-webkit-border-top-left-radius: 6px;
		-webkit-border-top-right-radius: 6px;
		-moz-border-radius-topleft: 6px;
		-moz-border-radius-topright: 6px;
		border-top-left-radius: 6px;
		border-top-right-radius: 6px;
		font-weight: 900;
	}

	.rewardUnlockInner{
		float: left;
		margin-top: -15px;
		margin-left: -15px;
		margin-right: -15px;
		margin-bottom: -15px;
		padding-top: 15px;
		padding-left: 15px;
		padding-right: 15px;
		padding-bottom: 15px;
		background-color: #FFF;
		width: 200px;
		-webkit-border-top-left-radius: 6px;
		-moz-border-radius-topleft: 6px;
		border-top-left-radius: 6px;
		border-right: 3px solid #ededed;
	}

	.rewardUnlockToggle{
		float: right;
		padding: 5px;
		background-color: rgba(0,0,0,0.05);
		-webkit-border-radius: 6px;
		-moz-border-radius: 6px;
		border-radius: 6px;
		margin-bottom: 5px;
		margin-top: -5px;
		cursor: pointer;
	}

	.rewardHidden{
		margin-bottom: -15px !important; 
		border-bottom: 0px !important; 
	}

	.rewardEditing{
		margin-top: 15px;
		padding-top: 15px;
		border-top: 3px solid #ededed;
	}

	.dub_select_image:nth-child(7){
		margin-top: 20px !important;
	}

	.helpBar{
		padding: 15px;
		padding-right: 3px;
		font-size: 16px;
		-webkit-border-radius: 6px;
		-moz-border-radius: 6px;
		border-radius: 6px;
		background-color: #ECF0F1;
		border: 3px solid #BDC3C7;
		margin-left: 20px;
		margin-right: 20px;
		margin-bottom: 15px;
		margin-top: 25px;
	}

	.helpBar a{
		float: right;
		-webkit-border-radius: 6px;
		-moz-border-radius: 6px;
		border-radius: 6px;
		background-color: #34495E;
		text-decoration: none;
		color: #FFF;
		font-size: 14px;
		padding: 10px;
		border: 3px solid #c7cfd5;
		margin-top: -12px;
	}

	.winner{
		background-color: #fff68d !important;
	}

	.supportVideo{
		border-bottom: 1px solid #C3DFED;
		padding-bottom: 10px;
		padding-top: 10px;
	}

	.supportVideo h2{
		font-size: 18px;
	}

	.supportNormal{
		font-weight: normal;
	}

</style>