<?php

// Functions For Form Elements ::

// DISPLAY SINGLE FIELD:

function display_field($num, $data, $title, $id, $help, $placeholder){

	// Output HTML
	$helpimg == "";

	?>

	<div class="editSection">

		<div class="inputTitle">
			<div class="inputTitleText" ><?php echo $title; ?></div>
			<div class="inputHelpText" ><?php echo $help; ?> </div>
			<?php if($helpimg == "" ){ /*show nothing*/ } else { // show help toggle ?>
			<div class="inputHelpIcon" help="viewHelp_<?php echo $id; ?>" ><i class="icon-eye-open" style="margin-right: 5px;" ></i> visual</div>
			<?php }?>
			<br clear="all" />
		</div>

		<div class="viewHelp" id="viewHelp_<?php echo $id; ?>">
			<img src="<?php echo $helpimg; ?>" />
		</div>

		<div class="inputSection">
			<input class="inputField elem" placeholder="<?php echo $placeholder; ?>" type="text" name="<?php echo $id; ?>" id="<?php echo $id; ?>" value="<?php echo htmlspecialchars(stripcslashes($data)); ?>">
		</div>
		<br clear="left" >

	</div>

	<?php
}

// DISPLAY SINGLE FIELD W/ IMAGE BUTTON

function display_field_image($num, $data, $title, $id, $help, $placeholder){

	// Output HTML
	$helpimg == "";

	?>

	<div class="editSection">

		<div class="inputTitle">
			<div class="inputTitleText" ><?php echo $title; ?></div>
			<div class="inputHelpText" ><?php echo $help; ?> </div>
			<?php if($helpimg == "" ){ /*show nothing*/ } else { // show help toggle ?>
			<div class="inputHelpIcon" help="viewHelp_<?php echo $id; ?>" ><i class="icon-eye-open" style="margin-right: 5px;" ></i> visual</div>
			<?php }?>
			<br clear="all" />
		</div>

		<div class="viewHelp" id="viewHelp_<?php echo $id; ?>">
			<img src="<?php echo $helpimg; ?>" />
		</div>

		<div class="inputSection">
			<input style="float:left; width: 630px; " class="inputField elem" placeholder="<?php echo $placeholder; ?>" type="text" name="<?php echo $id; ?>" id="<?php echo $id; ?>" value="<?php echo htmlspecialchars(stripcslashes($data)); ?>">
			<div style="float:right; margin-top: 10px; margin-bottom:15px;" class='launch_media_lib grey-btn ' photoBox='<?php echo $id; ?>' ><i class="icon-picture" style="margin-right: 5px;" ></i> upload image</div>
			<br clear="all" >
		</div>
		<br clear="left" >

	</div>

	<?php
}

// DISPLAY TEXTAREA:

function display_textarea($num, $data, $title, $id, $help, $placeholder){

	// Output HTML
	$helpimg == "";

	?>

	<div class="editSection">

		<div class="inputTitle">
			<div class="inputTitleText" ><?php echo $title; ?></div>
			<div class="inputHelpText" ><?php echo $help; ?> </div>
			<?php if($helpimg == "" ){ /*show nothing*/ } else { // show help toggle ?>
			<div class="inputHelpIcon" help="viewHelp_<?php echo $id; ?>" ><i class="icon-eye-open" style="margin-right: 5px;" ></i> visual</div>
			<?php }?>
			<br clear="all" />
		</div>

		<div class="viewHelp" id="viewHelp_<?php echo $id; ?>">
			<img src="<?php echo $helpimg; ?>" />
		</div>
		
		<div class="inputSection">
			<textarea name="<?php echo $id; ?>" placeholder="<?php echo $placeholder; ?>" id="<?php echo $id; ?>" class="inputTextarea elem" ><?php echo htmlspecialchars(stripcslashes($data)); ?></textarea>
		</div>
		<br clear="left" >

	</div>

	<?php
}

// DISPLAY OPTIONS

function display_option($num, $data, $title, $id, $help, $options){

	// Get options:
	$helpimg == "";

	$items = explode(",", $options);

	// Output HTML

	?>

	<div class="editSection">

		<div class="inputTitle">
			<div class="inputTitleText" ><?php echo $title; ?></div>
			<div class="inputHelpText" ><?php echo $help; ?> </div>
			<?php if($helpimg == "" ){ /*show nothing*/ } else { // show help toggle ?>
			<div class="inputHelpIcon" help="viewHelp_<?php echo $id; ?>" ><i class="icon-eye-open" style="margin-right: 5px;" ></i> visual</div>
			<?php }?>
			<br clear="all" />
		</div>

		<div class="viewHelp" id="viewHelp_<?php echo $id; ?>">
			<img src="<?php echo $helpimg; ?>" />
		</div>


		
		<div class="inputSection">
			<select class="inputField_select elem" type="text" name="<?php echo $id; ?>" id="<?php echo $id; ?>"  style=" height:54px; ">
			  
			  <?php

			  	foreach($items as $item) {

			  		// parse value

			  		$item = explode("[", $item);
			  		$item[0] = trim($item[0]);
			  		$item[1] = str_replace("]", "", $item[1]);

			  		?>
			  		<option <?php if($data == $item[1] ){ echo "selected"; } ?> value="<?php echo $item[1]; ?>"><?php echo $item[0]; ?></option>
			  		<?php
			  	}

			  ?>
			  
			</select>
		</div>
		<br clear="left" >

	</div>

	<?php
}

// DISPLAY WP EDITOR:

function display_wpeditor($num, $data, $title, $id, $help){

	$helpimg == "";

			// $id = htmlspecialchars(stripcslashes($results->$id));
			
			$settings = array(
				'wpautop' => true, // use wpautop - add p tags when they press enter
				'media_buttons' => false, // show insert/upload button(s)
				'teeny' => false, // output the minimal editor config used in Press This
				'tinymce' => array(
				'height' => '250' // the height of the editor
			));	

			// Output HTML

			?>

			<div class="editSection">

				<div class="inputTitle">
					<div class="inputTitleText" ><?php echo $title; ?></div>
					<div class="inputHelpText" ><?php echo $help; ?> </div>
					<?php if($helpimg == "" ){ /*show nothing*/ } else { // show help toggle ?>
					<div class="inputHelpIcon" help="viewHelp_<?php echo $id; ?>" ><i class="icon-eye-open" style="margin-right: 5px;" ></i> visual</div>
					<?php }?>
					<br clear="all" />
			</div>

			<div class="viewHelp" id="viewHelp_<?php echo $id; ?>">
				<img src="<?php echo $helpimg; ?>" />
			</div>

				<div class="inputSection" style="margin-top: -15px;" >
					<?php wp_editor( stripcslashes($data) , $id, $settings ); ?>
					<div style="float:right; margin-top: 10px;" class='launch_media_lib grey-btn ' photoBox='<?php echo $id; ?>' ><i class="icon-picture" ></i> Insert Image</div>
				</div>
				<br clear="all" style="margin-bottom:15px;" >

			</div>

			<?php

}

// DISPLAY - ACTION FOR CALLBACK:

function display_field_hidden($id, $callback){

	// Output HTML

	?>
		<input class="inputField elem" type="hidden" name="<?php echo $id; ?>" id="<?php echo $id; ?>" value="<?php echo $callback; ?>">
	
	<?php
}

// DISPLAY RADIO SWITCH

function display_switch($num, $data, $title, $id, $help, $startstate, $togglediv){

	// Output HTML
	$helpimg == "";
	// Nothing Is Set - so set it as start state
	if( $data == ""){
		$data = $startstate;
	}

	?>

	<div class="editSection">

		<div class="inputTitle">
			<div class="inputTitleText" ><?php echo $title; ?></div>
			<div class="inputHelpText" ><?php echo $help; ?> </div>
			<?php if($helpimg == "" ){ /*show nothing*/ } else { // show help toggle ?>
			<div class="inputHelpIcon" help="viewHelp_<?php echo $id; ?>" ><i class="icon-eye-open" style="margin-right: 5px;" ></i> visual</div>
			<?php }?>
			<br clear="all" />
		</div>

		<div class="viewHelp" id="viewHelp_<?php echo $id; ?>">
			<img src="<?php echo $helpimg; ?>" />
		</div>

		<div class="inputSection">
			
			<div class="toggle toggle-icon" toggleDiv="<?php echo $togglediv; ?>" inputid="<?php echo $id ?>">
               	<label class="toggle-radio fui-checkmark-16" for="<?php echo $id ?>_tO2"  ></label>
                <input type="radio" name="<?php echo $id ?>" class="<?php echo $id ?>" id="<?php echo $id ?>_tO1" value="on" <?php if( $data == "on" ){ echo "checked='checked'"; } ?> >
                <label class="toggle-radio fui-cross-16" for="<?php echo $id ?>_tO1" ></label>
                <input type="radio" name="<?php echo $id ?>" class="<?php echo $id ?>" id="<?php echo $id ?>_tO2" value="off" <?php if( $data == "off" ){ echo "checked='checked'"; } ?> >
         		<input type="text" id="<?php echo $id ?>" value="<?php echo $data; ?>" >
         	</div>

		</div>
		<br clear="left" >

	</div>

	<?php
}

?>