<?php

// Update Home

add_action('wp_ajax_listeruption2_create', 'listeruption2_create_callback');
function listeruption2_create_callback() {
	
	// WP DB Include
	global $wpdb;
	$table_db_name = $wpdb->prefix . "listeruption2";
	
	// Save DB Info - Name & Created Date
	$wpdb->insert($table_db_name, 
	array( 
	 'appname' => stripcslashes($_POST['appname']),
	 'camtype' => stripcslashes($_POST['camtype']),
	 'created' => date('F j, Y')
	));
	
	// Return The ID Of Campaign Created
	$campaignID = $wpdb->insert_id;

	// Create Option With This ID:
	add_option('listeruption2_campaign_'. $campaignID, '');

	$getID = $wpdb->insert_id;

	// CREATE A CORRASPONDING POST ::
	$my_post = array(
	  'post_title'    => wp_strip_all_tags( $_POST['appname'] ),
	  'post_type'     => 'page',
	  'post_content'  => 'NOT USED -- REPLACED WITH LIST ERUPTION CAMPAIGN CONTENT',
	  'post_status'   => 'publish'
	);

	// Insert the post into the database
	$getPostID = wp_insert_post( $my_post );
	$getPostID2 = $wpdb->insert_id;

	// Add postID to db:
	$wpdb->update($table_db_name, array( 'postID' => $getPostID ), array( 'id' => $campaignID ));

	// Set Meta Info so it links this page with the bonus page::
	update_post_meta( $getPostID, 'listeruption2x_meta_box_select', esc_attr($campaignID) );

	echo $campaignID;


	die();
	
}

// Edit Campaign
add_action('wp_ajax_listeruption2_edit', 'listeruption2_edit_callback');
function listeruption2_edit_callback() {
	
	// Get ID & Post Data Array
	$id = $_POST['id'];
	$data = $_POST;

	// Convert Array To Object
	$object = ato_listeruption2($data);

	// Update Option Field:
	update_option('listeruption2_campaign_'. $id, $object);
}

// ARRAY TO OBJECT FUNCTION::
function ato_listeruption2($array) {
  $obj = new stdClass;
  foreach($array as $k => $v) {
     if(is_array($v)) {
        $obj->{$k} = array_to_object($v); //RECURSION
     } else {
        $obj->{$k} = $v;
     }
  }
  return $obj;
}

// Save Optin Lead
add_action('wp_ajax_nopriv_listeruption2_leadcaptured', 'listeruption2_leadcaptured_callback');
add_action('wp_ajax_listeruption2_leadcaptured', 'listeruption2_leadcaptured_callback');
function listeruption2_leadcaptured_callback() {
		
	// Campaign ID
	$ID = $_POST['id'];
	$info = $_POST['info'];
	$info = explode("::", $info);
	
	// Add New Lead
		
	global $wpdb;

	// getPOST ID
	$table_db_name = $wpdb->prefix . "listeruption2";
	$resultsx = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
	foreach($resultsx as $resultsx){}

	// step 1: check if this email belongs to a user if so return ID ::

	$table_db_name = $wpdb->prefix . "listeruption2_leads";
	$results = $wpdb->get_results("SELECT * FROM $table_db_name WHERE email = '".$info[1]."' AND campaignID = '".$ID."' ", OBJECT);
	foreach($results as $results) {}

	if (empty($results)) {
	    // No Email Match Found - Create New User ::
	    $wpdb->insert($table_db_name, 
		array(
		 'campaignID' => $_POST['id'],
		 'created' => date('F j, Y'),
		 'fullname' => $info[0],
		 'email' => $info[1],
		 'phone' => $info[2],
		 'city' => $info[3],
		 'state' => $info[4],
		 'address' => $info[5],
		 'ip' => $_POST['ip'],
		 'points' => "0",
		 'views' => "0",
		 'referrals' => "0",
		 'ref' => $_POST['ref']
		));

	    // Return Markshift Data Array
	    $userInfo = $wpdb->insert_id;
	    $userInfo .= ":0:0:0:0:0:0:0:0:0"; // points	
	    echo $userInfo;

	    // Check if Ref Exsists
	    if( $_POST['ref'] != '' ){
	    	// +1 for ref user
	    	$table_db_name = $wpdb->prefix . "listeruption2_leads";
	    	$REF = $_POST['ref'];
			$findstat = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$REF'", OBJECT);
			foreach($findstat as $findstat){}
			
			$newPoints = $findstat->points + 1;

			$wpdb->update($table_db_name, 
			array( 
			 'referrals' => $findstat->referrals + 1,
			 'points' => $findstat->points + 1
			),
			  array( 'id' => $REF )
			);

			// -- CHECK IF REF UNLOCKED A REWARD ::
			$campaigndata = get_option('listeruption2_campaign_'. $ID);


			if( $campaigndata->rewardpoints1 == $newPoints ){
				// set reward1 as unlocked...
				listeruption2_rewardemail($ID, $findstat->email, $campaigndata->pm_from, $campaigndata->pm_name, $campaigndata->pm_subject, $campaigndata->pm_email, $resultsx->postID, $campaigndata->rewardtitle1, $campaigndata->pm_html);
				$wpdb->update($table_db_name, array( "reward1" => "1" ), array( 'id' => $REF ) );
			} else if( $campaigndata->rewardpoints2 == $newPoints ){
				// set reward1 as unlocked...
				listeruption2_rewardemail($ID, $findstat->email, $campaigndata->pm_from, $campaigndata->pm_name, $campaigndata->pm_subject, $campaigndata->pm_email, $resultsx->postID, $campaigndata->rewardtitle2, $campaigndata->pm_html);
				$wpdb->update($table_db_name, array( "reward2" => "1" ), array( 'id' => $REF ) );
			} else if( $campaigndata->rewardpoints3 == $newPoints ){
				// set reward1 as unlocked...
				listeruption2_rewardemail($ID, $findstat->email, $campaigndata->pm_from, $campaigndata->pm_name, $campaigndata->pm_subject, $campaigndata->pm_email, $resultsx->postID, $campaigndata->rewardtitle3, $campaigndata->pm_html);
				$wpdb->update($table_db_name, array( "reward3" => "1" ), array( 'id' => $REF ) );
			} else if( $campaigndata->rewardpoints4 == $newPoints ){
				// set reward1 as unlocked...
				listeruption2_rewardemail($ID, $findstat->email, $campaigndata->pm_from, $campaigndata->pm_name, $campaigndata->pm_subject, $campaigndata->pm_email, $resultsx->postID, $campaigndata->rewardtitle4, $campaigndata->pm_html);
				$wpdb->update($table_db_name, array( "reward4" => "1" ), array( 'id' => $REF ) );
			} else if( $campaigndata->rewardpoints5 == $newPoints ){
				// set reward1 as unlocked...
				listeruption2_rewardemail($ID, $findstat->email, $campaigndata->pm_from, $campaigndata->pm_name, $campaigndata->pm_subject, $campaigndata->pm_email, $resultsx->postID, $campaigndata->rewardtitle5, $campaigndata->pm_html);
				$wpdb->update($table_db_name, array( "reward5" => "1" ), array( 'id' => $REF ) );
			} else if( $campaigndata->rewardpoints6 == $newPoints ){
				// set reward1 as unlocked...
				listeruption2_rewardemail($ID, $findstat->email, $campaigndata->pm_from, $campaigndata->pm_name, $campaigndata->pm_subject, $campaigndata->pm_email, $resultsx->postID, $campaigndata->rewardtitle6, $campaigndata->pm_html);
				$wpdb->update($table_db_name, array( "reward6" => "1" ), array( 'id' => $REF ) );
			}
			// END OF CHECK REF REWARD UNLOCK AREA


	    }

	} else {
		// Email Found - Matched to user
		// Return Markshift Data Array
	    $userInfo = $results->ID;
		$userInfo .= ":". $results->points; // points	
		$userInfo .= ":". $results->shared_fb; // share FB
		$userInfo .= ":". $results->shared_tw; // share TW
		$userInfo .= ":". $results->shared_ld; // share LD
		$userInfo .= ":". $results->shared_gp; // share GP
		$userInfo .= ":". $results->shared_em; // share EM
		$userInfo .= ":". $results->extra_like; // share EM
		$userInfo .= ":". $results->extra_follow; // share EM
		$userInfo .= ":". $results->extra_confirm; // share EM	
	    echo $userInfo;
	}

	die();
	
	// $getVersion = get_option("bpxx_db_version");
	// $table_db_name = $wpdb->prefix . $getVersion;

	// $findstat = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
	
	// foreach($findstat as $findstat){}
	
	// $wpdb->update($table_db_name, 
	// array( 
	//  'total_leads' => $findstat->total_leads + 1
	// ),
	//   array( 'id' => $ID )
	// );
	
}

// GET LEAD INFO - ON LOAD - COOKIED
add_action('wp_ajax_nopriv_listeruption2_leadcaptured_get', 'listeruption2_leadcaptured_get_callback');
add_action('wp_ajax_listeruption2_leadcaptured_get', 'listeruption2_leadcaptured_get_callback');
function listeruption2_leadcaptured_get_callback() {
	// User is Cookied - Return Their Info ::

	global $wpdb;
	$table_db_name = $wpdb->prefix . "listeruption2_leads";

	$ID = $_POST['id'];

	$results = $wpdb->get_results("SELECT * FROM $table_db_name WHERE ID = '".$ID."' ", OBJECT);
	foreach($results as $results) {}

	$userInfo = $results->ID;
	$userInfo .= ":". $results->points; // points	
	$userInfo .= ":". $results->shared_fb; // share FB
	$userInfo .= ":". $results->shared_tw; // share TW
	$userInfo .= ":". $results->shared_ld; // share LD
	$userInfo .= ":". $results->shared_gp; // share GP
	$userInfo .= ":". $results->shared_em; // share EM
	$userInfo .= ":". $results->extra_like; // share EM
	$userInfo .= ":". $results->extra_follow; // share EM
	$userInfo .= ":". $results->extra_confirm; // share EM	
	echo $userInfo;
	die();
}

// UPDATE POINTS ON SHARE
add_action('wp_ajax_nopriv_listeruption2_shared', 'listeruption2_shared_callback');
add_action('wp_ajax_listeruption2_shared', 'listeruption2_shared_callback');
function listeruption2_shared_callback() {
	// User is Cookied - Return Their Info ::

	global $wpdb;
	$table_db_name = $wpdb->prefix . "listeruption2_leads";

	$ID = $_POST['id'];
	$type = $_POST['type'];

	// Return Options Object:
	$camID = $_POST['camID'];
	$campaigndata = get_option('listeruption2_campaign_'. $camID);

	$results = $wpdb->get_results("SELECT * FROM $table_db_name WHERE ID = '".$ID."' ", OBJECT);
	foreach($results as $results) {}

	$sharedType = "";

	if( $type == "sharedFB"){
		$sharedType = "shared_fb";
	} else if( $type == "sharedTW"){
		$sharedType = "shared_tw";
	} else if( $type == "sharedLD"){
		$sharedType = "shared_ld";
	} else if( $type == "sharedGP"){
		$sharedType = "shared_gp";
	} else if( $type == "sharedEM"){
		$sharedType = "shared_em";
	} else if( $type == "extra_like"){
		$sharedType = "extra_like";
	} else if( $type == "extra_follow"){
		$sharedType = "extra_follow";
	} else if( $type == "extra_confirm"){
		$sharedType = "extra_confirm";
	}
	
	$newPoints = $results->points + 1;

	$wpdb->update($table_db_name, 
	array( 
	 "points" => $newPoints,
	 "$sharedType" => "1"
	),
	  array( 'id' => $ID )
	);

	// -- CHECK IF UNLOCKED A REWARD ::
	if( $campaigndata->rewardpoints1 <= $newPoints ){
		// set reward1 as unlocked...
		$wpdb->update($table_db_name, array( "reward1" => "1" ), array( 'id' => $ID ) );
	}
	if( $campaigndata->rewardpoints2 <= $newPoints ){
		// set reward1 as unlocked...
		$wpdb->update($table_db_name, array( "reward2" => "1" ), array( 'id' => $ID ) );
	}
	if( $campaigndata->rewardpoints3 == $newPoints ){
		// set reward1 as unlocked...
		$wpdb->update($table_db_name, array( "reward3" => "1" ), array( 'id' => $ID ) );
	}
	if( $campaigndata->rewardpoints4 == $newPoints ){
		// set reward1 as unlocked...
		$wpdb->update($table_db_name, array( "reward4" => "1" ), array( 'id' => $ID ) );
	}
	if( $campaigndata->rewardpoints5 == $newPoints ){
		// set reward1 as unlocked...
		$wpdb->update($table_db_name, array( "reward5" => "1" ), array( 'id' => $ID ) );
	}
	if( $campaigndata->rewardpoints6 == $newPoints ){
		// set reward1 as unlocked...
		$wpdb->update($table_db_name, array( "reward6" => "1" ), array( 'id' => $ID ) );
	}
	// END OF CHECK REF REWARD UNLOCK AREA	

	die();
}

// LEAD Delete Campaign
add_action('wp_ajax_listeruption2_lead_delete', 'listeruption2_lead_delete_callback');
function listeruption2_lead_delete_callback() {
		
	// Deal ID
	$ID = $_POST['lead'];
		
	global $wpdb;
	$table_db_name = $wpdb->prefix . "listeruption2_leads";
	
	$wpdb->query("DELETE FROM $table_db_name WHERE id = '$ID' ");	
	
}

// Reset Campaigns
add_action('wp_ajax_listeruption2_reset_campaign', 'listeruption2_reset_campaign_callback');
function listeruption2_reset_campaign_callback() {
		
	// Deal ID
	$ID = $_POST['id'];
		
	global $wpdb;
	$table_db_name = $wpdb->prefix . "listeruption2";
	
	$wpdb->get_results("SELECT * FROM $table_db_name WHERE id = $ID");

	// Turn Stats Back To Zero...
	$wpdb->update($table_db_name, array( 
		"total_views" => "0" 
	), array( 'id' => $ID ) );
	
}

// Email Reward Function
function listeruption2_rewardemail($ID, $EMAIL, $FROM, $NAME, $SUBJECT, $MSG, $POSTID, $REWARD, $HTML){

	require('Postmark.php');

	$results = get_option('listeruption2_campaign_'. $ID);
	$postmarkApiKey = $results->postmarkapi;

	$email = new Mail_Postmark($postmarkApiKey);

	if( $FROM == "" ){
		// do nothing, will just get an error anyways...
	} else {

		if( $NAME == "" ){ $NAME = "Reward Unlocked";  }
		if( $SUBJECT == "" ){ $SUBJECT = "You Got a New Reward!";  }
		if( $MSG == "" ){ $MSG = "Great Job, You just unlocked a new reward, go here to check it out: \r\n\r\n{{URL}}";  }

		// String Replace for URL - TEXT EMAIL
		$URL = get_permalink($POSTID);
		$URL = $URL . "/?rl=". $EMAIL;
		$REWARD = stripslashes($REWARD);

		// REPLACE -- TEXT EMAIL
		$MSG = str_replace("{{URL}}", $URL, $MSG);
		$MSG = str_replace("{{REWARD}}", $REWARD, $MSG);
		$MSG = stripslashes($MSG);

		// REPLACE -- HTML EMAIL
		$HTML = str_replace("{{URL}}", $URL, $HTML);
		$HTML = str_replace("{{REWARD}}", $REWARD, $HTML);
		$HTML = stripslashes($HTML);

	 	$email->to( $EMAIL )
	 		  ->from( $FROM , $NAME )
	      	  ->subject( $SUBJECT )
	       	  ->messagePlain( $MSG )
	       	  ->messageHtml( $HTML )
	       	  ->send();

    }

}


?>